/**
 * @license
 * Copyright 2020 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
import{_FusedMatMul as n,util as e,Abs as t,backend_util as a,Add as r,AddN as u,Identity as s,Transpose as i,ArgMax as o,AvgPool as l,BatchMatMul as p,Cast as d,ClipByValue as c,Concat as m,Conv2D as f,Conv2DBackpropInput as b,Cos as h,CropAndResize as y,DepthwiseConv2dNative as g,Div as w,Equal as I,Exp as _,Fill as k,FloorDiv as v,FusedBatchNorm as M,FusedConv2D as A,FusedDepthwiseConv2D as S,GatherNd as F,gather_util as x,GatherV2 as N,Greater as C,GreaterEqual as R,Less as E,LessEqual as D,Log as O,LogicalAnd as P,Max as W,Maximum as z,MaxPool as H,Min as T,Minimum as U,Multiply as B,Negate as q,NonMaxSuppressionV3 as L,NonMaxSuppressionV4 as V,NonMaxSuppressionV5 as j,NotEqual as G,OneHot as $,OnesLike as X,PadV2 as K,Pow as Y,Prelu as J,Relu as Q,Relu6 as Z,Reshape as nn,ResizeBilinear as en,Reverse as tn,RotateWithOffset as an,Rsqrt as rn,ScatterNd as un,scatter_util as sn,SelectV2 as on,Sigmoid as ln,Sin as pn,Slice as dn,slice_util as cn,buffer as mn,Softmax as fn,SplitV as bn,Sqrt as hn,Square as yn,Sub as gn,Sum as wn,Tanh as In,Tile as _n,Unpack as kn,ZerosLike as vn,registerKernel as Mn,env as An,KernelBackend as Sn,DataStorage as Fn,engine as xn,registerBackend as Nn}from"@tensorflow/tfjs-core";import Cn from"path";import Rn from"fs";var En,Dn;let On;!function(n){n[n.float32=0]="float32",n[n.int32=1]="int32",n[n.bool=2]="bool",n[n.string=3]="string",n[n.complex64=4]="complex64"}(En||(En={})),function(n){n[n.linear=0]="linear",n[n.relu=1]="relu",n[n.relu6=2]="relu6",n[n.prelu=3]="prelu"}(Dn||(Dn={}));const Pn={kernelName:n,backendName:"wasm",setupFunc:function(e){On=e.wasm.cwrap(n,null,["number","array","number","number","array","number","number","number","number","number","number","number"])},kernelFunc:function(n){const{inputs:e,backend:t,attrs:a}=n,{a:r,b:u,bias:s,preluActivationWeights:i}=e;if("float32"!==r.dtype||"float32"!==u.dtype)throw new Error("_FusedMatMul for non non-float32 tensors not yet supported.");const{transposeA:o,transposeB:l,activation:p}=a,d=t.dataIdMap.get(r.dataId).id,c=t.dataIdMap.get(u.dataId).id;let m=0;if(null!=s){const n=t.dataIdMap.get(s.dataId);if(1!==n.shape.length)throw new Error("_FusedMatMul only supports rank-1 bias but got "+`rank ${n.shape.length}.`);m=n.id}const f=null==i?0:t.dataIdMap.get(i.dataId).id,b=Dn[p];if(null==b)throw new Error(`${p} activation not yet supported for FusedConv2D `+"in the wasm backend.");const h=o?r.shape[2]:r.shape[1],y=l?u.shape[1]:u.shape[2],g=r.shape[0],w=t.makeOutput([g,h,y],r.dtype),I=t.dataIdMap.get(w.dataId).id,_=new Uint8Array(new Int32Array(r.shape).buffer),k=new Uint8Array(new Int32Array(u.shape).buffer);return On(d,_,r.shape.length,c,k,u.shape.length,o,l,b,m,f,I),w}};function Wn(n){let t;return{kernelName:n,backendName:"wasm",setupFunc:function(e){t=e.wasm.cwrap(n,null,["number","number"])},kernelFunc:function(n){const{backend:a,inputs:{x:r}}=n,u=a.dataIdMap.get(r.dataId).id,s=a.makeOutput(r.shape,r.dtype),i=a.dataIdMap.get(s.dataId).id;return 0===e.sizeFromShape(s.shape)?s:(t(u,i),s)}}}const zn=Wn(t);function Hn(n,t,r){let u;return{kernelName:n,backendName:"wasm",setupFunc:function(e){u=e.wasm.cwrap(n,null,["number","array","number","number","array","number","number","number"])},kernelFunc:function(s){const{backend:i,inputs:o}=s,{a:l,b:p}=o,d=i.dataIdMap.get(l.dataId).id,c=i.dataIdMap.get(p.dataId).id,m=null!=r?r:l.dtype,f=a.assertAndGetBroadcastShape(l.shape,p.shape),b=i.makeOutput(f,m);if(0===e.sizeFromShape(f))return b;const h=new Uint8Array(new Int32Array(l.shape).buffer),y=new Uint8Array(new Int32Array(p.shape).buffer),g=i.dataIdMap.get(b.dataId).id,w=()=>u(d,h,l.shape.length,c,y,p.shape.length,En[l.dtype],g);if(t&&"float32"===l.dtype)return w(),b;const I=a.getBroadcastDims(l.shape,f),_=a.getBroadcastDims(p.shape,f),k=I.every((n,e)=>n===e),v=_.every((n,e)=>n===e);if(k&&v)return w(),b;throw new Error("Broadcasting along outer dims is not yet "+`supported for ${l.dtype} ${n}.`)}}}const Tn=Hn(r,!0);let Un;const Bn={kernelName:u,backendName:"wasm",setupFunc:function(n){Un=n.wasm.cwrap(u,null,["array","number","number","number"])},kernelFunc:function(n){const{inputs:t,backend:a}=n,r=a.makeOutput(t[0].shape,t[0].dtype);if(0===e.sizeFromShape(r.shape))return r;const u=t.map(n=>a.dataIdMap.get(n.dataId).id),s=new Uint8Array(new Int32Array(u).buffer),i=a.dataIdMap.get(r.dataId).id;return Un(s,u.length,En[r.dtype],i),r}};function qn(n){const{inputs:{x:e},backend:t}=n,a=t.makeOutput(e.shape,e.dtype),r=t.typedArrayFromHeap(e);return t.typedArrayFromHeap(a).set(r),a}const Ln={kernelName:s,backendName:"wasm",kernelFunc:qn};let Vn;function jn(n){const{inputs:e,backend:t,attrs:a}=n,[r,u]=function(n,e){const t=[],a=[];for(let r=0;r<n.length;++r)1!==n[r]&&t.push(n[r]),1!==n[e[r]]&&a.push(e[r]);for(let n=0;n<a.length;++n){let e=-1;for(let t=0;t<a.length;++t)a[t]>=n&&(-1===e||a[e]>a[t])&&(e=t);a[e]=n}return[t,a]}(e.x.shape,a.perm);let s=!0;for(let n=0;n<u.length;n++)u[n]!==n&&(s=!1);const i=function(n,e){const t=new Array(n.length);for(let a=0;a<t.length;a++)t[a]=n[e[a]];return t}(e.x.shape,a.perm),o={dataId:e.x.dataId,shape:r,dtype:e.x.dtype};if(s){const n=qn({inputs:e,backend:t});return n.shape=i,n}const l=t.makeOutput(i,o.dtype),p=t.dataIdMap.get(o.dataId).id,d=t.dataIdMap.get(l.dataId).id,c=new Uint8Array(new Int32Array(u).buffer),m=new Uint8Array(new Int32Array(o.shape).buffer);return Vn(p,m,o.shape.length,En[o.dtype],d,c,u.length),l}const Gn={kernelName:i,backendName:"wasm",kernelFunc:jn,setupFunc:function(n){Vn=n.wasm.cwrap(i,null,["number","array","number","number","number","array","number"])}};function $n(n,t,r){const u=n.shape,s=n.shape.length,i=e.parseAxisParam(t,u);let o=i;const l=a.getAxesPermutation(o,s);let p=null,d=!1;if(null!=l){const e=new Array(s);for(let n=0;n<e.length;n++)e[n]=u[l[n]];o=a.getInnerMostAxes(o.length,s),p=jn({inputs:{x:n},attrs:{perm:l},backend:r});const t=r.dataIdMap.get(n.dataId).id;r.dataIdMap.get(p.dataId).id!==t&&(d=!0)}return{transposed:p,originalAxes:i,axes:o,inputWasTransposed:d}}let Xn;const Kn={kernelName:o,backendName:"wasm",kernelFunc:function(n){const{backend:t,inputs:a,attrs:r}=n,{axis:u}=r,{x:s}=a,i=t.dataIdMap.get(s.dataId).id;let o=i,l=s;const{transposed:p,axes:d,inputWasTransposed:c}=$n(s,u,t);if(c){const n=t.dataIdMap.get(p.dataId).id;n!==i&&(l=p,o=n)}const m=l.shape.slice(0,-1),f=t.makeOutput(m,"int32"),b=t.dataIdMap.get(f.dataId).id,h=e.sizeFromShape(f.shape),y=l.shape[d[0]];return Xn(o,En[l.dtype],h,y,b),c&&t.disposeData(p.dataId),f},setupFunc:function(n){Xn=n.wasm.cwrap(o,null,["number","number","number","number","number"])}};let Yn;const Jn={kernelName:l,backendName:"wasm",setupFunc:function(n){Yn=n.wasm.cwrap(l,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(n){const{inputs:e,attrs:t,backend:r}=n,u=e.x,s=r.dataIdMap.get(u.dataId).id,{filterSize:i,strides:o,pad:l,dimRoundingMode:p}=t,d=a.computePool2DInfo(u.shape,i,o,1,l,p),c=d.filterHeight,m=d.filterWidth,f=d.padInfo.top,b=d.padInfo.right,h=d.padInfo.bottom,y=d.padInfo.left,g=d.strideHeight,w=d.strideWidth,I=d.inChannels;if("channelsLast"!==d.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+`${d.dataFormat}'. Please use 'channelsLast'.`);if(1!==d.dilationWidth||1!==d.dilationHeight)throw new Error("was backend only supports average pooling with dilation = [1, 1], "+`got [${d.dilationHeight}, ${d.dilationWidth}].`);const _=r.makeOutput(d.outShape,"float32"),k=r.dataIdMap.get(_.dataId).id;return Yn(s,u.shape[0],u.shape[1],u.shape[2],c,m,f,b,h,y,g,w,I,k),_}};let Qn;const Zn={kernelName:p,backendName:"wasm",setupFunc:function(n){Qn=n.wasm.cwrap(p,null,["number","array","number","number","array","number","number","number","number"])},kernelFunc:function(n){const{inputs:e,backend:t,attrs:a}=n,{a:r,b:u}=e;if("float32"!==r.dtype||"float32"!==u.dtype)throw new Error("BatchMatMul for non non-float32 tensors not yet supported.");const{transposeA:s,transposeB:i}=a,o=t.dataIdMap.get(r.dataId).id,l=t.dataIdMap.get(u.dataId).id,p=s?r.shape[2]:r.shape[1],d=i?u.shape[1]:u.shape[2],c=r.shape[0],m=t.makeOutput([c,p,d],r.dtype),f=t.dataIdMap.get(m.dataId).id,b=new Uint8Array(new Int32Array(r.shape).buffer),h=new Uint8Array(new Int32Array(u.shape).buffer);return Qn(o,b,r.shape.length,l,h,u.shape.length,s,i,f),m}};function ne(n){const{inputs:{x:e},attrs:{dtype:t},backend:a}=n,r=a.makeOutput(e.shape,t),u=a.typedArrayFromHeap(e);return a.typedArrayFromHeap(r).set(u),r}const ee={kernelName:d,backendName:"wasm",kernelFunc:ne};let te;const ae={kernelName:c,backendName:"wasm",setupFunc:function(n){te=n.wasm.cwrap(c,null,["number","number","number","number"])},kernelFunc:function(n){const{inputs:e,backend:t,attrs:a}=n,{x:r}=e,{clipValueMin:u,clipValueMax:s}=a,i=t.dataIdMap.get(r.dataId).id,o=t.makeOutput(r.shape,"float32"),l=t.dataIdMap.get(o.dataId).id;return te(i,u,s,l),o}};const re={kernelName:m,backendName:"wasm",kernelFunc:function(n){const{inputs:t,backend:r}=n,u=e.parseAxisParam(n.attrs.axis,t[0].shape)[0],s=a.computeOutShape(t.map(n=>n.shape),u),i=r.makeOutput(s,t[0].dtype),o=e.sizeFromShape(t[0].shape.slice(0,u));let l=0;const p=t.map(n=>{const t=e.sizeFromShape(n.shape.slice(u));return l+=t,t}),d=t.map(n=>r.typedArrayFromHeap(n)),c=r.typedArrayFromHeap(i);for(let n=0;n<o;n++){let e=n*l;for(let t=0;t<d.length;t++){const a=p[t],r=n*a,u=d[t].subarray(r,r+a);c.set(u,e),e+=a}}return i}};let ue;const se={kernelName:f,backendName:"wasm",setupFunc:function(n){ue=n.wasm.cwrap(f,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(n){const{inputs:e,attrs:t,backend:r}=n,{x:u,filter:s}=e,i=r.dataIdMap.get(u.dataId).id,o=r.dataIdMap.get(s.dataId).id,{strides:l,dilations:p,pad:d,dimRoundingMode:c,dataFormat:m}=t,f=a.convertConv2DDataFormat(m),b=a.computeConv2DInfo(u.shape,s.shape,l,p,d,c,!1,f),h=b.filterHeight,y=b.filterWidth,g=b.padInfo.top,w=b.padInfo.right,I=b.padInfo.bottom,_=b.padInfo.left,k=b.dilationHeight,v=b.dilationWidth,M=b.strideHeight,A=b.strideWidth,S=b.inChannels,F=b.outChannels,x="SAME"===b.padInfo.type?1:0;if("channelsLast"!==b.dataFormat)throw new Error("wasm backend Conv2D does not support dataFormat:'"+`${b.dataFormat}'. Please use 'channelsLast'.`);const N=r.makeOutput(b.outShape,"float32"),C=r.dataIdMap.get(N.dataId).id;return ue(i,u.shape[0],u.shape[1],u.shape[2],o,h,y,g,w,I,_,x,k,v,M,A,S,F,C),N}};let ie;const oe={kernelName:b,backendName:"wasm",setupFunc:function(n){ie=n.wasm.cwrap(b,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(n){const{backend:t,inputs:r,attrs:u}=n,{dy:s,filter:i}=r,{strides:o,pad:l,dataFormat:p,dimRoundingMode:d,inputShape:c}=u,m=a.convertConv2DDataFormat(p),f=a.computeConv2DInfo(c,i.shape,o,1,l,d,!1,m),{batchSize:b,filterHeight:h,filterWidth:y,inChannels:g,inHeight:w,inWidth:I,outChannels:_,outHeight:k,outWidth:v,strideHeight:M,strideWidth:A}=f,S=h-1-f.padInfo.top,F=y-1-f.padInfo.left,x="channelsLast"===f.dataFormat,N=e.computeStrides(f.inShape),C=e.computeStrides(s.shape),[R,E,D]=e.computeStrides(i.shape),O=N[0],P=x?N[1]:N[2],W=x?N[2]:1,z=x?1:N[1],H=C[0],T=x?C[1]:C[2],U=x?C[2]:1,B=x?1:C[1],q=t.makeOutput(f.inShape,"float32"),L=t.dataIdMap.get(q.dataId).id,V=t.dataIdMap.get(s.dataId).id,j=t.dataIdMap.get(i.dataId).id;return ie(V,j,b,h,y,w,I,g,k,v,_,M,A,S,F,R,E,D,O,P,W,z,H,T,U,B,L),q}},le=Wn(h);var pe;let de;let ce;!function(n){n[n.bilinear=0]="bilinear",n[n.nearest=1]="nearest"}(pe||(pe={}));let me;let fe;let be;let he;let ye;let ge;let we;let Ie;function _e(n,e){const t=new Int32Array(n.wasm.HEAPU8.buffer,e,4),a=t[0],r=t[1],u=t[2],s=t[3];return n.wasm._free(e),{pSelectedIndices:a,selectedSize:r,pSelectedScores:u,pValidOutputs:s}}let ke;let ve;let Me;let Ae;let Se;let Fe;function xe(n){const{inputs:e,attrs:t}=n,{x:a}=e,{shape:r}=t;return{dataId:a.dataId,shape:r,dtype:a.dtype}}let Ne;let Ce;let Re;let Ee;let De;let Oe;function Pe(n){const{inputs:{x:t},attrs:{begin:a,size:r},backend:u}=n,[s,i]=cn.parseSliceParams(t,a,r),o=cn.isSliceContinous(t.shape,s,i),l=u.typedArrayFromHeap(t),p=u.makeOutput(i,t.dtype),d=u.typedArrayFromHeap(p),c=e.computeStrides(t.shape);if(o){const n=cn.computeFlatOffset(s,c);return d.set(l.subarray(n,n+e.sizeFromShape(i))),p}const m=t.shape.length;return 2===m?function(n,e,t,a,r){let u=0;const s=a[0],i=a[1],o=s+r[0];for(let a=s;a<o;a++){const s=a*e+i;t.set(n.subarray(s,s+r[1]),u),u+=r[1]}}(l,c[0],d,s,i):3===m?function(n,e,t,a,r,u){let s=0;const i=r[0],o=r[1],l=r[2],p=i+u[0],d=o+u[1];for(let r=i;r<p;r++)for(let i=o;i<d;i++){const o=r*e+i*t+l;a.set(n.subarray(o,o+u[2]),s),s+=u[2]}}(l,c[0],c[1],d,s,i):4===m?function(n,e,t,a,r,u,s){let i=0;const o=u[0],l=u[1],p=u[2],d=o+s[0],c=l+s[1],m=p+s[2],f=u[3];for(let u=o;u<d;u++)for(let o=l;o<c;o++)for(let l=p;l<m;l++){const p=u*e+o*t+l*a+f;r.set(n.subarray(p,p+s[3]),i),i+=s[3]}}(l,c[0],c[1],c[2],d,s,i):function(n,e,t,a,r){const u=mn(r,e.dtype,t),s=mn(e.shape,e.dtype,n);for(let n=0;n<u.size;++n){const e=u.indexToLoc(n).map((n,e)=>n+a[e]);t[n]=s.get(...e)}}(l,t,d,s,i),p}let We;let ze;let He;const Te=[zn,Tn,Bn,Kn,Jn,Zn,ee,ae,re,se,oe,le,{kernelName:y,backendName:"wasm",setupFunc:function(n){de=n.wasm.cwrap(y,null,["number","number","number","number","array","number","number","number","number","number"])},kernelFunc:function(n){const{backend:e,inputs:t,attrs:a}=n,{method:r,extrapolationValue:u,cropSize:s}=a,{image:i,boxes:o,boxInd:l}=t,p=o.shape[0],[d,c]=s,m=[p,d,c,i.shape[3]];let f,b=e.dataIdMap.get(i.dataId);"float32"!==i.dtype&&(f=ne({backend:e,inputs:{x:i},attrs:{dtype:"float32"}}),b=e.dataIdMap.get(f.dataId));const h=b.id,y=e.dataIdMap.get(o.dataId).id,g=e.dataIdMap.get(l.dataId).id,w=e.makeOutput(m,"float32"),I=e.dataIdMap.get(w.dataId).id,_=new Uint8Array(new Int32Array(i.shape).buffer);return de(h,y,g,p,_,d,c,pe[r],u,I),null!=f&&e.disposeData(f.dataId),w}},{kernelName:g,backendName:"wasm",setupFunc:function(n){ce=n.wasm.cwrap(g,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(n){const{inputs:e,attrs:t,backend:r}=n,{x:u,filter:s}=e,i=r.dataIdMap.get(u.dataId).id,o=r.dataIdMap.get(s.dataId).id,{strides:l,dilations:p,pad:d,dimRoundingMode:c}=t,m=null==p?[1,1]:p,f=a.computeConv2DInfo(u.shape,s.shape,l,m,d,c,!0),b=f.filterHeight,h=f.filterWidth,y=f.padInfo.top,g=f.padInfo.right,w=f.padInfo.bottom,I=f.padInfo.left,_=f.dilationHeight,k=f.dilationWidth,v=f.strideHeight,M=f.strideWidth,A=f.inChannels,S=f.outChannels,F="SAME"===f.padInfo.type?1:0;if("channelsLast"!==f.dataFormat)throw new Error("wasm backend DepthwiseConv2dNative does not support dataFormat:'"+`${f.dataFormat}'. Please use 'channelsLast'.`);const x=r.makeOutput(f.outShape,"float32"),N=r.dataIdMap.get(x.dataId).id;return ce(i,u.shape[0],u.shape[1],u.shape[2],o,b,h,y,g,w,I,F,_,k,v,M,A,S,N),x}},Hn(w,!0),Hn(I,!1,"bool"),Wn(_),{kernelName:k,backendName:"wasm",kernelFunc:function(n){const{attrs:{shape:e,value:t,dtype:a},backend:r}=n,u=r.makeOutput(e,a);return r.typedArrayFromHeap(u).fill(t),u}},Hn(v,!1),Pn,{kernelName:M,backendName:"wasm",setupFunc:function(n){me=n.wasm.cwrap(M,null,["number","number","number","number","number","number","number"])},kernelFunc:function(n){const{backend:t,inputs:a,attrs:r}=n,{varianceEpsilon:u}=r,{x:s,mean:i,variance:o,offset:l,scale:p}=a,d=t.dataIdMap.get(s.dataId).id,c=t.dataIdMap.get(i.dataId).id,m=t.dataIdMap.get(o.dataId).id,f=null!=l?t.dataIdMap.get(l.dataId).id:0,b=null!=p?t.dataIdMap.get(p.dataId).id:0,h=t.makeOutput(s.shape,s.dtype);if(0===e.sizeFromShape(s.shape))return h;const y=t.dataIdMap.get(h.dataId).id;return me(d,c,m,f,b,u,y),h}},{kernelName:A,backendName:"wasm",setupFunc:function(n){fe=n.wasm.cwrap(A,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(n){const{inputs:e,attrs:t,backend:r}=n,{x:u,filter:s,bias:i,preluActivationWeights:o}=e,{strides:l,pad:p,dilations:d,dataFormat:c,dimRoundingMode:m,activation:f}=t,b=a.computeConv2DInfo(u.shape,s.shape,l,d,p,m),h=Dn[f];if(null==h)throw new Error(`${f} activation not yet supported for FusedConv2D `+"in the wasm backend.");const y=r.dataIdMap.get(u.dataId).id,g=r.dataIdMap.get(s.dataId).id,w=b.outChannels;let I=0;if(null!=i){const n=r.dataIdMap.get(i.dataId);if(1!==n.shape.length)throw new Error("FusedConv2D only supports rank-1 bias but got "+`rank ${n.shape.length}.`);if(n.shape[0]!==w)throw new Error(`FusedConv2D bias shape (${n.shape}) does not `+`match the number of output channels (${w})`);I=n.id}const _=b.filterHeight,k=b.filterWidth,v=b.padInfo.top,M=b.padInfo.right,A=b.padInfo.bottom,S=b.padInfo.left,F=b.dilationHeight,x=b.dilationWidth,N=b.strideHeight,C=b.strideWidth,R=b.inChannels,E="SAME"===b.padInfo.type?1:0,D=b.batchSize,O=b.inHeight,P=b.inWidth;if("NHWC"!==c)throw new Error("wasm backend FusedConv2D does not support dataFormat:'"+`${c}'. Please use 'NHWC'.`);const W=r.makeOutput(b.outShape,"float32"),z=r.dataIdMap.get(W.dataId).id,H=null==o?0:r.dataIdMap.get(o.dataId).id;return fe(y,D,O,P,g,_,k,I,v,M,A,S,E,F,x,N,C,R,w,h,H,z),W}},{kernelName:S,backendName:"wasm",setupFunc:function(n){be=n.wasm.cwrap(S,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(n){const{inputs:e,attrs:t,backend:r}=n,{x:u,filter:s,bias:i,preluActivationWeights:o}=e,{strides:l,pad:p,dilations:d,dataFormat:c,dimRoundingMode:m,activation:f}=t,b=a.computeConv2DInfo(u.shape,s.shape,l,d,p,m,!0),h=Dn[f];if(null==h)throw new Error(`${f} activation not yet supported for FusedDepthwiseConv2D `+"in the wasm backend.");const y=r.dataIdMap.get(u.dataId).id,g=r.dataIdMap.get(s.dataId).id,w=b.outChannels;let I=0;if(null!=i){const n=r.dataIdMap.get(i.dataId);if(1!==n.shape.length)throw new Error("FusedDepthwiseConv2D only supports rank-1 bias but got "+`rank ${n.shape.length}.`);if(n.shape[0]!==w)throw new Error(`FusedDepthwiseConv2D bias shape (${n.shape}) does not `+`match the number of output channels (${w})`);I=n.id}const _=b.filterHeight,k=b.filterWidth,v=b.padInfo.top,M=b.padInfo.right,A=b.padInfo.bottom,S=b.padInfo.left,F=b.dilationHeight,x=b.dilationWidth,N=b.strideHeight,C=b.strideWidth,R=b.inChannels,E="SAME"===b.padInfo.type?1:0,D=b.batchSize,O=b.inHeight,P=b.inWidth;if("NHWC"!==c)throw new Error("wasm backend FusedDepthwiseConv2D does not support dataFormat:'"+`${c}'. Please use 'NHWC'.`);const W=r.makeOutput(b.outShape,"float32"),z=r.dataIdMap.get(W.dataId).id,H=null==o?0:r.dataIdMap.get(o.dataId).id;return be(y,D,O,P,g,_,k,I,v,M,A,S,E,F,x,N,C,R,w,h,H,z),W}},{kernelName:F,backendName:"wasm",setupFunc:function(n){he=n.wasm.cwrap(F,null,["number","number","number","number","number","number","array","number"])},kernelFunc:function(n){const{backend:e,inputs:t}=n,{params:a,indices:r}=t,[u,s,i,o]=x.prepareAndValidate(a,r),l=e.makeOutput(u,a.dtype);if(0===s)return l;const p=r.shape,d=p[p.length-1],c=e.dataIdMap.get(a.dataId).id,m=e.dataIdMap.get(r.dataId).id,f=new Uint8Array(new Int32Array(o).buffer),b=e.dataIdMap.get(l.dataId).id;return he(c,En[a.dtype],m,s,d,i,f,b),l}},{kernelName:N,backendName:"wasm",setupFunc:function(n){ye=n.wasm.cwrap("Gather",null,["number","number","array","number","number","number","array","number"])},kernelFunc:function(n){const{backend:t,inputs:r,attrs:u}=n,{x:s,indices:i}=r,{axis:o}=u,l=s.shape.slice();l[o]=e.sizeFromShape(i.shape);const p=s.shape.length-1,d=t.makeOutput(l,s.dtype);if(0===e.sizeFromShape(s.shape))return d;const c=t.dataIdMap.get(s.dataId).id,m=t.dataIdMap.get(i.dataId).id,f=t.dataIdMap.get(d.dataId).id,b=new Uint8Array(new Int32Array(e.computeStrides(s.shape)).buffer),h=new Uint8Array(new Int32Array(e.computeStrides(l)).buffer);ye(c,En[s.dtype],b,p,m,o,h,f);const y=e.parseAxisParam(o,s.shape)[0],g=a.segment_util.collectGatherOpShapeInfo(s,i,y);return d.shape=g.outputShape,d}},Hn(C,!1,"bool"),Hn(R,!1,"bool"),Ln,Hn(E,!1,"bool"),Hn(D,!1,"bool"),Wn(O),Hn(P,!1,"bool"),{kernelName:W,backendName:"wasm",setupFunc:function(n){ge=n.wasm.cwrap(W,null,["number, number, number"])},kernelFunc:function(n){const{backend:t,inputs:r,attrs:u}=n,{reductionIndices:s,keepDims:i}=u,{x:o}=r;let l=t.dataIdMap.get(o.dataId).id,p=o;const{transposed:d,axes:c,originalAxes:m,inputWasTransposed:f}=$n(o,s,t);if(f){p=d,l=t.dataIdMap.get(d.dataId).id}const b=p.shape.length;a.assertAxesAreInnerMostDims("max",c,b);const[h,y]=a.computeOutAndReduceShapes(p.shape,c),g=e.sizeFromShape(y),w=t.makeOutput(h,o.dtype);if(0!==e.sizeFromShape(p.shape)){const n=t.dataIdMap.get(w.dataId).id;ge(l,g,n)}if(f&&t.disposeData(d.dataId),i){const n=a.expandShapeToKeepDim(w.shape,m);w.shape=n}return w}},Hn(z,!1),{kernelName:H,backendName:"wasm",setupFunc:function(n){we=n.wasm.cwrap(H,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(n){const{inputs:e,attrs:t,backend:r}=n,u=e.x,s=r.dataIdMap.get(u.dataId).id,{filterSize:i,strides:o,pad:l,dimRoundingMode:p}=t,d=a.computePool2DInfo(u.shape,i,o,1,l,p),c=d.filterHeight,m=d.filterWidth,f=d.padInfo.top,b=d.padInfo.right,h=d.padInfo.bottom,y=d.padInfo.left,g=d.dilationHeight,w=d.dilationWidth,I=d.strideHeight,_=d.strideWidth,k=d.inChannels,v=d.outChannels;if("channelsLast"!==d.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+`${d.dataFormat}'. Please use 'channelsLast'.`);const M=r.makeOutput(d.outShape,"float32"),A=r.dataIdMap.get(M.dataId).id;return we(s,u.shape[0],u.shape[1],u.shape[2],c,m,f,b,h,y,g,w,I,_,k,v,A),M}},{kernelName:T,backendName:"wasm",setupFunc:function(n){Ie=n.wasm.cwrap(T,null,["number, number, number"])},kernelFunc:function(n){const{backend:t,inputs:r,attrs:u}=n,{axis:s,keepDims:i}=u,{x:o}=r,l=t.dataIdMap.get(o.dataId).id;let p=l,d=o;const{transposed:c,axes:m,originalAxes:f,inputWasTransposed:b}=$n(o,s,t);if(b){const n=t.dataIdMap.get(c.dataId).id;n!==l&&(d=c,p=n)}const h=d.shape.length;a.assertAxesAreInnerMostDims("min",m,h);const[y,g]=a.computeOutAndReduceShapes(d.shape,m),w=e.sizeFromShape(g),I=t.makeOutput(y,d.dtype);if(0!==e.sizeFromShape(d.shape)){const n=t.dataIdMap.get(I.dataId).id;Ie(p,w,n)}if(b&&t.disposeData(c.dataId),i){const n=a.expandShapeToKeepDim(I.shape,f);I.shape=n}return I}},Hn(U,!1),Hn(B,!0),Wn(q),{kernelName:L,backendName:"wasm",setupFunc:function(n){ke=n.wasm.cwrap(L,"number",["number","number","number","number","number"])},kernelFunc:function(n){const{backend:e,inputs:t,attrs:a}=n,{iouThreshold:r,maxOutputSize:u,scoreThreshold:s}=a,{boxes:i,scores:o}=t,l=e.dataIdMap.get(i.dataId).id,p=e.dataIdMap.get(o.dataId).id,d=ke(l,p,u,r,s),{pSelectedIndices:c,selectedSize:m,pSelectedScores:f,pValidOutputs:b}=_e(e,d);return e.wasm._free(f),e.wasm._free(b),e.makeOutput([m],"int32",c)}},{kernelName:V,backendName:"wasm",setupFunc:function(n){ve=n.wasm.cwrap(V,"number",["number","number","number","number","number","bool"])},kernelFunc:function(n){const{backend:e,inputs:t,attrs:a}=n,{iouThreshold:r,maxOutputSize:u,scoreThreshold:s,padToMaxOutputSize:i}=a,{boxes:o,scores:l}=t,p=e.dataIdMap.get(o.dataId).id,d=e.dataIdMap.get(l.dataId).id,c=ve(p,d,u,r,s,i),{pSelectedIndices:m,selectedSize:f,pSelectedScores:b,pValidOutputs:h}=_e(e,c);return e.wasm._free(b),[e.makeOutput([f],"int32",m),e.makeOutput([],"int32",h)]}},{kernelName:j,backendName:"wasm",setupFunc:function(n){Me=n.wasm.cwrap(j,"number",["number","number","number","number","number","number"])},kernelFunc:function(n){const{backend:e,inputs:t,attrs:a}=n,{iouThreshold:r,maxOutputSize:u,scoreThreshold:s,softNmsSigma:i}=a,{boxes:o,scores:l}=t,p=e.dataIdMap.get(o.dataId).id,d=e.dataIdMap.get(l.dataId).id,c=Me(p,d,u,r,s,i),{pSelectedIndices:m,selectedSize:f,pSelectedScores:b,pValidOutputs:h}=_e(e,c);return e.wasm._free(h),[e.makeOutput([f],"int32",m),e.makeOutput([f],"float32",b)]}},Hn(G,!1,"bool"),{kernelName:$,backendName:"wasm",setupFunc:function(n){Ae=n.wasm.cwrap($,null,["number","number","number","number","number"])},kernelFunc:function(n){const{inputs:e,backend:t,attrs:a}=n,{indices:r}=e,{depth:u,onValue:s,offValue:i}=a,o=t.makeOutput([...r.shape,u],"int32"),l=t.dataIdMap.get(o.dataId).id,p=t.dataIdMap.get(r.dataId).id;return Ae(p,u,s,i,l),o}},{kernelName:X,backendName:"wasm",kernelFunc:function(n){const{inputs:{x:e},backend:t}=n,a=t.makeOutput(e.shape,e.dtype);return t.typedArrayFromHeap(a).fill(1),a}},{kernelName:K,backendName:"wasm",kernelFunc:function(n){const{inputs:{x:e},backend:t,attrs:{paddings:a,constantValue:r}}=n,u=a.map((n,t)=>n[0]+e.shape[t]+n[1]),s=t.dataIdMap.get(e.dataId).id,i=t.makeOutput(u,e.dtype),o=t.dataIdMap.get(i.dataId).id,l=new Uint8Array(new Int32Array(e.shape).buffer),p=a.map(n=>n[0]),d=a.map(n=>n[1]),c=new Uint8Array(new Int32Array(p).buffer),m=new Uint8Array(new Int32Array(d).buffer);return Se(s,l,e.shape.length,En[e.dtype],c,m,r,o),i},setupFunc:function(n){Se=n.wasm.cwrap(K,null,["number","array","number","number","array","array","number","number"])}},Hn(Y,!1),{kernelName:J,backendName:"wasm",setupFunc:function(n){Fe=n.wasm.cwrap(J,null,["number","number","number"])},kernelFunc:function(n){const{inputs:e,backend:t}=n,{x:a,alpha:r}=e,u=t.dataIdMap.get(a.dataId).id,s=t.dataIdMap.get(r.dataId).id,i=t.makeOutput(a.shape,"float32"),o=t.dataIdMap.get(i.dataId).id;return Fe(u,s,o),i}},Wn(Q),Wn(Z),{kernelName:nn,backendName:"wasm",kernelFunc:xe},{kernelName:en,backendName:"wasm",setupFunc:function(n){Ne=n.wasm.cwrap(en,null,["number","number","number","number","number","number","number","number","number"])},kernelFunc:function(n){const{backend:t,inputs:a,attrs:r}=n,{images:u}=a,{alignCorners:s,size:i}=r,[o,l]=i,[p,d,c,m]=u.shape,f=[p,o,l,m];let b,h=t.dataIdMap.get(u.dataId);"float32"!==h.dtype&&(b=ne({backend:t,inputs:{x:u},attrs:{dtype:"float32"}}),h=t.dataIdMap.get(b.dataId));const y=h.id,g=t.makeOutput(f,"float32");if(0===e.sizeFromShape(u.shape))return g;const w=t.dataIdMap.get(g.dataId).id;return Ne(y,p,d,c,m,o,l,s?1:0,w),null!=b&&t.disposeData(b.dataId),g}},{kernelName:tn,backendName:"wasm",kernelFunc:function(n){const{inputs:t,backend:a,attrs:r}=n,{x:u}=t,{dims:s}=r,i=e.parseAxisParam(s,u.shape);if(0===u.shape.length)return qn({inputs:{x:u},backend:a});const o=a.makeOutput(u.shape,u.dtype),l=a.dataIdMap.get(u.dataId).id,p=a.dataIdMap.get(o.dataId).id,d=new Uint8Array(new Int32Array(i).buffer),c=new Uint8Array(new Int32Array(u.shape).buffer);return Ce(l,d,i.length,c,u.shape.length,p),xe({inputs:{x:o},attrs:{shape:u.shape},backend:a})},setupFunc:function(n){Ce=n.wasm.cwrap(tn,null,["number","array","number","array","number","number"])}},{kernelName:an,backendName:"wasm",kernelFunc:function(n){const{inputs:e,backend:t,attrs:r}=n,{image:u}=e,{radians:s,fillValue:i,center:o}=r,l=t.makeOutput(u.shape,u.dtype),p=t.dataIdMap.get(u.dataId).id,d=t.dataIdMap.get(l.dataId).id,[c,m,f,b]=u.shape,[h,y]=a.getImageCenter(o,m,f),g="number"==typeof i?[i,i,i,0===i?0:255]:[...i,255],w=new Uint8Array(new Int32Array(g).buffer);return Re(p,c,m,f,b,s,h,y,w,g.length,d),l},setupFunc:function(n){Re=n.wasm.cwrap(an,null,["number","number","number","number","number","number","number","number","array","number","number"])}},Wn(rn),{kernelName:un,backendName:"wasm",setupFunc:function(n){Ee=n.wasm.cwrap(un,null,["number","number","number","number","number","number","array","number","number"])},kernelFunc:function(n){const{backend:t,inputs:a,attrs:r}=n,{indices:u,updates:s}=a,{shape:i}=r,o=t.makeOutput(i,s.dtype);if(0===e.sizeFromShape(i))return o;const{sliceRank:l,numUpdates:p,sliceSize:d,strides:c,outputSize:m}=sn.calculateShapes(s,u,i),f=t.dataIdMap.get(u.dataId).id,b=t.dataIdMap.get(s.dataId).id,h=new Uint8Array(new Int32Array(c).buffer),y=t.dataIdMap.get(o.dataId).id;return Ee(f,b,En[s.dtype],l,p,d,h,m,y),o}},{kernelName:on,backendName:"wasm",kernelFunc:function(n){const{inputs:t,backend:a}=n,{condition:r,t:u,e:s}=t,i=a.dataIdMap.get(r.dataId).id,o=a.dataIdMap.get(u.dataId).id,l=a.dataIdMap.get(s.dataId).id,p=a.makeOutput(u.shape,u.dtype),d=a.dataIdMap.get(p.dataId).id,c=r.shape.length,m=u.shape.length,f=0===c||c>1||1===m?1:e.sizeFromShape(u.shape.slice(1));return De(i,o,l,f,d),p},setupFunc:function(n){De=n.wasm.cwrap(on,null,["number","number","number","number","number"])}},{kernelName:"Sigmoid",backendName:"wasm",setupFunc:function(n){Oe=n.wasm.cwrap(ln,null,["number","number"])},kernelFunc:function(n){const{backend:t,inputs:{x:a}}=n,r=t.dataIdMap.get(a.dataId).id,u=t.makeOutput(a.shape,a.dtype),s=t.dataIdMap.get(u.dataId).id;return 0===e.sizeFromShape(u.shape)?u:(Oe(r,s),u)}},Wn(pn),{kernelName:dn,backendName:"wasm",kernelFunc:Pe},{kernelName:fn,backendName:"wasm",setupFunc:function(n){We=n.wasm.cwrap(fn,null,["number","number","number","number"])},kernelFunc:function(n){const{backend:t,inputs:{logits:a},attrs:{dim:r}}=n,u=t.dataIdMap.get(a.dataId).id,s=t.makeOutput(a.shape,a.dtype),i=t.dataIdMap.get(s.dataId).id,o=a.shape[r],l=e.sizeFromShape(a.shape)/o;return 0===e.sizeFromShape(s.shape)?s:(We(u,i,o,l),s)}},{kernelName:bn,backendName:"wasm",kernelFunc:function(n){const{inputs:t,attrs:r,backend:u}=n,{x:s}=t,{numOrSizeSplits:i,axis:o}=r,l=e.parseAxisParam(o,s.shape)[0],p=a.prepareSplitSize(s,i,o),d=new Array(s.shape.length).fill(0),c=s.shape.slice();return p.map(n=>{const e=[...c];e[l]=n;const t=Pe({inputs:{x:s},attrs:{begin:d,size:e},backend:u});return d[l]+=n,t})}},Wn(hn),Wn(yn),Hn(gn,!0),{kernelName:wn,backendName:"wasm",setupFunc:function(n){ze=n.wasm.cwrap(wn,null,["number, number, number"])},kernelFunc:function(n){const{backend:t,inputs:r,attrs:u}=n,{axis:s,keepDims:i}=u,{x:o}=r,l=t.dataIdMap.get(o.dataId).id;let p=l,d=o;const{transposed:c,axes:m,originalAxes:f,inputWasTransposed:b}=$n(o,s,t);let h=m;if(b){const n=t.dataIdMap.get(c.dataId).id;n!==l&&(d=c,p=n,h=a.getInnerMostAxes(h.length,d.shape.length))}a.assertAxesAreInnerMostDims("sum",h,d.shape.length);const[y,g]=a.computeOutAndReduceShapes(d.shape,h),w=e.sizeFromShape(g),I=t.makeOutput(y,d.dtype);if(0!==e.sizeFromShape(d.shape)){const n=t.dataIdMap.get(I.dataId).id;ze(p,w,n)}if(b&&t.disposeData(c.dataId),i){const n=a.expandShapeToKeepDim(I.shape,f);I.shape=n}return I}},Wn(In),{kernelName:_n,backendName:"wasm",setupFunc:function(n){He=n.wasm.cwrap(_n,null,["number","array","number","array","number","number"])},kernelFunc:function(n){const{inputs:e,backend:t,attrs:a}=n,{x:r}=e,u=t.dataIdMap.get(r.dataId).id,{reps:s}=a,i=new Array(r.shape.length);for(let n=0;n<i.length;n++)i[n]=r.shape[n]*s[n];const o=new Uint8Array(new Int32Array(r.shape).buffer),l=new Uint8Array(new Int32Array(i).buffer),p=t.makeOutput(i,r.dtype),d=t.dataIdMap.get(p.dataId).id;return He(u,o,r.shape.length,l,i.length,En[p.dtype],d),p}},Gn,{kernelName:kn,backendName:"wasm",kernelFunc:function(n){const{inputs:e,backend:t,attrs:a}=n,{value:r}=e,{axis:u}=a,s=r.shape[u],i=r.shape.length,o=new Array(i-1);let l=0;for(let n=0;n<i;n++)n!==u&&(o[l++]=r.shape[n]);const p=new Array(s),d=new Array(i).fill(0),c=r.shape.slice();c[u]=1;for(let n=0;n<p.length;n++)d[u]=n,p[n]=Pe({inputs:{x:r},attrs:{begin:d,size:c},backend:t});return p.map(({dataId:n,dtype:e})=>({dataId:n,dtype:e,shape:o}))}},{kernelName:vn,backendName:"wasm",kernelFunc:function(n){const{inputs:{x:e},backend:t}=n,a=t.makeOutput(e.shape,e.dtype);return t.typedArrayFromHeap(a).fill(0),a}}];for(const n of Te)Mn(n);function Ue(n,e){return n(e={exports:{}},e.exports),e.exports}An().registerFlag("WASM_HAS_SIMD_SUPPORT",async()=>WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,10,9,1,7,0,65,0,253,15,26,11])));var Be=Ue((function(n,e){var t,a=(t="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(t=t||__filename),function(n){var e,a=void 0!==(n=n||{})?n:{},r={};for(e in a)a.hasOwnProperty(e)&&(r[e]=a[e]);var u=!1,s=!1,i=!1,o=!1;u="object"==typeof window,s="function"==typeof importScripts,i="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,o=!u&&!i&&!s;var l,p,d,c,m="";function f(n){return a.locateFile?a.locateFile(n,m):m+n}i?(m=s?Cn.dirname(m)+"/":__dirname+"/",l=function(n,e){return d||(d=Rn),c||(c=Cn),n=c.normalize(n),d.readFileSync(n,e?null:"utf8")},p=function(n){var e=l(n,!0);return e.buffer||(e=new Uint8Array(e)),_(e.buffer),e},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(n){if(!(n instanceof Pn))throw n})),process.on("unhandledRejection",un),a.inspect=function(){return"[Emscripten Module object]"}):o?("undefined"!=typeof read&&(l=function(n){return read(n)}),p=function(n){var e;return"function"==typeof readbuffer?new Uint8Array(readbuffer(n)):(_("object"==typeof(e=read(n,"binary"))),e)},"undefined"!=typeof scriptArgs&&scriptArgs,"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(u||s)&&(s?m=self.location.href:document.currentScript&&(m=document.currentScript.src),t&&(m=t),m=0!==m.indexOf("blob:")?m.substr(0,m.lastIndexOf("/")+1):"",l=function(n){var e=new XMLHttpRequest;return e.open("GET",n,!1),e.send(null),e.responseText},s&&(p=function(n){var e=new XMLHttpRequest;return e.open("GET",n,!1),e.responseType="arraybuffer",e.send(null),new Uint8Array(e.response)}));var b,h,y=a.print||console.log.bind(console),g=a.printErr||console.warn.bind(console);for(e in r)r.hasOwnProperty(e)&&(a[e]=r[e]);r=null,a.arguments&&a.arguments,a.thisProgram&&a.thisProgram,a.quit&&a.quit,a.wasmBinary&&(b=a.wasmBinary),a.noExitRuntime&&a.noExitRuntime,"object"!=typeof WebAssembly&&g("no native wasm support detected");var w=new WebAssembly.Table({initial:151,maximum:151,element:"anyfunc"}),I=!1;function _(n,e){n||un("Assertion failed: "+e)}function k(n){var e=a["_"+n];return _(e,"Cannot call unknown function "+n+", make sure it is exported"),e}function v(n,e,t,a,r){var u={string:function(n){var e=0;if(null!=n&&0!==n){var t=1+(n.length<<2);N(n,e=Dn(t),t)}return e},array:function(n){var e=Dn(n.length);return C(n,e),e}},s=k(n),i=[],o=0;if(a)for(var l=0;l<a.length;l++){var p=u[t[l]];p?(0===o&&(o=En()),i[l]=p(a[l])):i[l]=a[l]}var d=s.apply(null,i);return d=function(n){return"string"===e?F(n):"boolean"===e?Boolean(n):n}(d),0!==o&&On(o),d}function M(n,e,t,a){var r=(t=t||[]).every((function(n){return"number"===n}));return"string"!==e&&r&&!a?k(n):function(){return v(n,e,t,arguments)}}var A="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function S(n,e,t){for(var a=e+t,r=e;n[r]&&!(r>=a);)++r;if(r-e>16&&n.subarray&&A)return A.decode(n.subarray(e,r));for(var u="";e<r;){var s=n[e++];if(128&s){var i=63&n[e++];if(192!=(224&s)){var o=63&n[e++];if((s=224==(240&s)?(15&s)<<12|i<<6|o:(7&s)<<18|i<<12|o<<6|63&n[e++])<65536)u+=String.fromCharCode(s);else{var l=s-65536;u+=String.fromCharCode(55296|l>>10,56320|1023&l)}}else u+=String.fromCharCode((31&s)<<6|i)}else u+=String.fromCharCode(s)}return u}function F(n,e){return n?S(D,n,e):""}function x(n,e,t,a){if(!(a>0))return 0;for(var r=t,u=t+a-1,s=0;s<n.length;++s){var i=n.charCodeAt(s);if(i>=55296&&i<=57343&&(i=65536+((1023&i)<<10)|1023&n.charCodeAt(++s)),i<=127){if(t>=u)break;e[t++]=i}else if(i<=2047){if(t+1>=u)break;e[t++]=192|i>>6,e[t++]=128|63&i}else if(i<=65535){if(t+2>=u)break;e[t++]=224|i>>12,e[t++]=128|i>>6&63,e[t++]=128|63&i}else{if(t+3>=u)break;e[t++]=240|i>>18,e[t++]=128|i>>12&63,e[t++]=128|i>>6&63,e[t++]=128|63&i}}return e[t]=0,t-r}function N(n,e,t){return x(n,D,e,t)}function C(n,e){E.set(n,e)}var R,E,D,O,P=65536;function W(n,e){return n%e>0&&(n+=e-n%e),n}function z(n){R=n,a.HEAP8=E=new Int8Array(n),a.HEAP16=new Int16Array(n),a.HEAP32=O=new Int32Array(n),a.HEAPU8=D=new Uint8Array(n),a.HEAPU16=new Uint16Array(n),a.HEAPU32=new Uint32Array(n),a.HEAPF32=new Float32Array(n),a.HEAPF64=new Float64Array(n)}var H=5254528,T=11488,U=a.INITIAL_MEMORY||16777216;function B(n){for(;n.length>0;){var e=n.shift();if("function"!=typeof e){var t=e.func;"number"==typeof t?void 0===e.arg?a.dynCall_v(t):a.dynCall_vi(t,e.arg):t(void 0===e.arg?null:e.arg)}else e(a)}}(h=a.wasmMemory?a.wasmMemory:new WebAssembly.Memory({initial:U/P,maximum:2147483648/P}))&&(R=h.buffer),U=R.byteLength,z(R),O[T>>2]=H;var q=[],L=[],V=[],j=[];function G(){if(a.preRun)for("function"==typeof a.preRun&&(a.preRun=[a.preRun]);a.preRun.length;)Y(a.preRun.shift());B(q)}function $(){B(L)}function X(){B(V)}function K(){if(a.postRun)for("function"==typeof a.postRun&&(a.postRun=[a.postRun]);a.postRun.length;)J(a.postRun.shift());B(j)}function Y(n){q.unshift(n)}function J(n){j.unshift(n)}var Q=Math.ceil,Z=Math.floor,nn=0,en=null,tn=null;function an(n){nn++,a.monitorRunDependencies&&a.monitorRunDependencies(nn)}function rn(n){if(nn--,a.monitorRunDependencies&&a.monitorRunDependencies(nn),0==nn&&(null!==en&&(clearInterval(en),en=null),tn)){var e=tn;tn=null,e()}}function un(n){throw a.onAbort&&a.onAbort(n),y(n+=""),g(n),I=!0,n="abort("+n+"). Build with -s ASSERTIONS=1 for more info.",new WebAssembly.RuntimeError(n)}function sn(n,e){return String.prototype.startsWith?n.startsWith(e):0===n.indexOf(e)}a.preloadedImages={},a.preloadedAudios={};var on="data:application/octet-stream;base64,";function ln(n){return sn(n,on)}var pn="file://";function dn(n){return sn(n,pn)}var cn="tfjs-backend-wasm-simd.wasm";function mn(){try{if(b)return new Uint8Array(b);if(p)return p(cn);throw"both async and sync fetching of the wasm failed"}catch(n){un(n)}}function fn(){return b||!u&&!s||"function"!=typeof fetch||dn(cn)?new Promise((function(n,e){n(mn())})):fetch(cn,{credentials:"same-origin"}).then((function(n){if(!n.ok)throw"failed to load wasm binary file at '"+cn+"'";return n.arrayBuffer()})).catch((function(){return mn()}))}function bn(){var n={a:Sn};function e(n,e){var t=n.exports;a.asm=t,rn()}function t(n){e(n.instance)}function r(e){return fn().then((function(e){return WebAssembly.instantiate(e,n)})).then(e,(function(n){g("failed to asynchronously prepare wasm: "+n),un(n)}))}if(an(),a.instantiateWasm)try{return a.instantiateWasm(n,e)}catch(n){return g("Module.instantiateWasm callback failed with error: "+n),!1}return function(){if(b||"function"!=typeof WebAssembly.instantiateStreaming||ln(cn)||dn(cn)||"function"!=typeof fetch)return r(t);fetch(cn,{credentials:"same-origin"}).then((function(e){return WebAssembly.instantiateStreaming(e,n).then(t,(function(n){g("wasm streaming compile failed: "+n),g("falling back to ArrayBuffer instantiation"),r(t)}))}))}(),{}}function hn(){un()}function yn(n,e,t){D.copyWithin(n,e,e+t)}function gn(){return D.length}function wn(n){try{return h.grow(n-R.byteLength+65535>>>16),z(h.buffer),1}catch(n){}}function In(n){n>>>=0;var e=gn();if(n>2147483648)return!1;for(var t=1;t<=4;t*=2){var a=e*(1+.2/t);if(a=Math.min(a,n+100663296),wn(Math.min(2147483648,W(Math.max(16777216,n,a),65536))))return!0}return!1}ln(cn)||(cn=f(cn)),L.push({func:function(){Nn()}});var _n={mappings:{},buffers:[null,[],[]],printChar:function(n,e){var t=_n.buffers[n];0===e||10===e?((1===n?y:g)(S(t,0)),t.length=0):t.push(e)},varargs:void 0,get:function(){return _n.varargs+=4,O[_n.varargs-4>>2]},getStr:function(n){return F(n)},get64:function(n,e){return n}};function kn(n){return 0}function vn(n,e,t,a,r){}function Mn(n,e,t,a){for(var r=0,u=0;u<t;u++){for(var s=O[e+8*u>>2],i=O[e+(8*u+4)>>2],o=0;o<i;o++)_n.printChar(n,D[s+o]);r+=i}return O[a>>2]=r,0}function An(n){return(n=+n)>=0?+Z(n+.5):+Q(n-.5)}var Sn={a:hn,e:yn,f:In,g:kn,d:vn,c:Mn,memory:h,b:An,table:w},Fn=bn();a.asm=Fn;var xn,Nn=a.___wasm_call_ctors=function(){return(Nn=a.___wasm_call_ctors=a.asm.h).apply(null,arguments)},En=(a._init=function(){return(a._init=a.asm.i).apply(null,arguments)},a._register_tensor=function(){return(a._register_tensor=a.asm.j).apply(null,arguments)},a._dispose_data=function(){return(a._dispose_data=a.asm.k).apply(null,arguments)},a._dispose=function(){return(a._dispose=a.asm.l).apply(null,arguments)},a._Abs=function(){return(a._Abs=a.asm.m).apply(null,arguments)},a._Add=function(){return(a._Add=a.asm.n).apply(null,arguments)},a._AddN=function(){return(a._AddN=a.asm.o).apply(null,arguments)},a._ArgMax=function(){return(a._ArgMax=a.asm.p).apply(null,arguments)},a._AvgPool=function(){return(a._AvgPool=a.asm.q).apply(null,arguments)},a._BatchMatMul=function(){return(a._BatchMatMul=a.asm.r).apply(null,arguments)},a._ClipByValue=function(){return(a._ClipByValue=a.asm.s).apply(null,arguments)},a._Conv2D=function(){return(a._Conv2D=a.asm.t).apply(null,arguments)},a._Conv2DBackpropInput=function(){return(a._Conv2DBackpropInput=a.asm.u).apply(null,arguments)},a._Cos=function(){return(a._Cos=a.asm.v).apply(null,arguments)},a._CropAndResize=function(){return(a._CropAndResize=a.asm.w).apply(null,arguments)},a._DepthwiseConv2dNative=function(){return(a._DepthwiseConv2dNative=a.asm.x).apply(null,arguments)},a._Div=function(){return(a._Div=a.asm.y).apply(null,arguments)},a._Equal=function(){return(a._Equal=a.asm.z).apply(null,arguments)},a._Exp=function(){return(a._Exp=a.asm.A).apply(null,arguments)},a._FloorDiv=function(){return(a._FloorDiv=a.asm.B).apply(null,arguments)},a._FusedBatchNorm=function(){return(a._FusedBatchNorm=a.asm.C).apply(null,arguments)},a._FusedConv2D=function(){return(a._FusedConv2D=a.asm.D).apply(null,arguments)},a._FusedDepthwiseConv2D=function(){return(a._FusedDepthwiseConv2D=a.asm.E).apply(null,arguments)},a._Gather=function(){return(a._Gather=a.asm.F).apply(null,arguments)},a._GatherNd=function(){return(a._GatherNd=a.asm.G).apply(null,arguments)},a._Greater=function(){return(a._Greater=a.asm.H).apply(null,arguments)},a._GreaterEqual=function(){return(a._GreaterEqual=a.asm.I).apply(null,arguments)},a._Less=function(){return(a._Less=a.asm.J).apply(null,arguments)},a._LessEqual=function(){return(a._LessEqual=a.asm.K).apply(null,arguments)},a._Log=function(){return(a._Log=a.asm.L).apply(null,arguments)},a._LogicalAnd=function(){return(a._LogicalAnd=a.asm.M).apply(null,arguments)},a._Max=function(){return(a._Max=a.asm.N).apply(null,arguments)},a._MaxPool=function(){return(a._MaxPool=a.asm.O).apply(null,arguments)},a._Maximum=function(){return(a._Maximum=a.asm.P).apply(null,arguments)},a._Min=function(){return(a._Min=a.asm.Q).apply(null,arguments)},a._Minimum=function(){return(a._Minimum=a.asm.R).apply(null,arguments)},a._Multiply=function(){return(a._Multiply=a.asm.S).apply(null,arguments)},a._Negate=function(){return(a._Negate=a.asm.T).apply(null,arguments)},a._NonMaxSuppressionV3=function(){return(a._NonMaxSuppressionV3=a.asm.U).apply(null,arguments)},a._NonMaxSuppressionV4=function(){return(a._NonMaxSuppressionV4=a.asm.V).apply(null,arguments)},a._NonMaxSuppressionV5=function(){return(a._NonMaxSuppressionV5=a.asm.W).apply(null,arguments)},a._NotEqual=function(){return(a._NotEqual=a.asm.X).apply(null,arguments)},a._OneHot=function(){return(a._OneHot=a.asm.Y).apply(null,arguments)},a._PadV2=function(){return(a._PadV2=a.asm.Z).apply(null,arguments)},a._Pow=function(){return(a._Pow=a.asm._).apply(null,arguments)},a._Prelu=function(){return(a._Prelu=a.asm.$).apply(null,arguments)},a._Relu=function(){return(a._Relu=a.asm.aa).apply(null,arguments)},a._Relu6=function(){return(a._Relu6=a.asm.ba).apply(null,arguments)},a._ResizeBilinear=function(){return(a._ResizeBilinear=a.asm.ca).apply(null,arguments)},a._Reverse=function(){return(a._Reverse=a.asm.da).apply(null,arguments)},a._RotateWithOffset=function(){return(a._RotateWithOffset=a.asm.ea).apply(null,arguments)},a._Rsqrt=function(){return(a._Rsqrt=a.asm.fa).apply(null,arguments)},a._ScatterNd=function(){return(a._ScatterNd=a.asm.ga).apply(null,arguments)},a._SelectV2=function(){return(a._SelectV2=a.asm.ha).apply(null,arguments)},a._Sigmoid=function(){return(a._Sigmoid=a.asm.ia).apply(null,arguments)},a._Sin=function(){return(a._Sin=a.asm.ja).apply(null,arguments)},a._Softmax=function(){return(a._Softmax=a.asm.ka).apply(null,arguments)},a._Sqrt=function(){return(a._Sqrt=a.asm.la).apply(null,arguments)},a._Square=function(){return(a._Square=a.asm.ma).apply(null,arguments)},a._Sub=function(){return(a._Sub=a.asm.na).apply(null,arguments)},a._Sum=function(){return(a._Sum=a.asm.oa).apply(null,arguments)},a._Tanh=function(){return(a._Tanh=a.asm.pa).apply(null,arguments)},a._Tile=function(){return(a._Tile=a.asm.qa).apply(null,arguments)},a._Transpose=function(){return(a._Transpose=a.asm.ra).apply(null,arguments)},a.__FusedMatMul=function(){return(a.__FusedMatMul=a.asm.sa).apply(null,arguments)},a._malloc=function(){return(a._malloc=a.asm.ta).apply(null,arguments)},a._free=function(){return(a._free=a.asm.ua).apply(null,arguments)},a.stackSave=function(){return(En=a.stackSave=a.asm.va).apply(null,arguments)}),Dn=a.stackAlloc=function(){return(Dn=a.stackAlloc=a.asm.wa).apply(null,arguments)},On=a.stackRestore=function(){return(On=a.stackRestore=a.asm.xa).apply(null,arguments)};function Pn(n){this.name="ExitStatus",this.message="Program terminated with exit("+n+")",this.status=n}function Wn(n){function e(){xn||(xn=!0,a.calledRun=!0,I||($(),X(),a.onRuntimeInitialized&&a.onRuntimeInitialized(),K()))}nn>0||(G(),nn>0||(a.setStatus?(a.setStatus("Running..."),setTimeout((function(){setTimeout((function(){a.setStatus("")}),1),e()}),1)):e()))}if(a.dynCall_vi=function(){return(a.dynCall_vi=a.asm.ya).apply(null,arguments)},a.dynCall_v=function(){return(a.dynCall_v=a.asm.za).apply(null,arguments)},a.asm=Fn,a.cwrap=M,a.then=function(n){if(xn)n(a);else{var e=a.onRuntimeInitialized;a.onRuntimeInitialized=function(){e&&e(),n(a)}}return a},tn=function n(){xn||Wn(),xn||(tn=n)},a.run=Wn,a.preInit)for("function"==typeof a.preInit&&(a.preInit=[a.preInit]);a.preInit.length>0;)a.preInit.pop()();return Wn(),n});n.exports=a})),qe=Ue((function(n,e){var t,a=(t="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(t=t||__filename),function(n){var e,a=void 0!==(n=n||{})?n:{},r={};for(e in a)a.hasOwnProperty(e)&&(r[e]=a[e]);var u=!1,s=!1,i=!1,o=!1;u="object"==typeof window,s="function"==typeof importScripts,i="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,o=!u&&!i&&!s;var l,p,d,c,m="";function f(n){return a.locateFile?a.locateFile(n,m):m+n}i?(m=s?Cn.dirname(m)+"/":__dirname+"/",l=function(n,e){return d||(d=Rn),c||(c=Cn),n=c.normalize(n),d.readFileSync(n,e?null:"utf8")},p=function(n){var e=l(n,!0);return e.buffer||(e=new Uint8Array(e)),_(e.buffer),e},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(n){if(!(n instanceof Pn))throw n})),process.on("unhandledRejection",un),a.inspect=function(){return"[Emscripten Module object]"}):o?("undefined"!=typeof read&&(l=function(n){return read(n)}),p=function(n){var e;return"function"==typeof readbuffer?new Uint8Array(readbuffer(n)):(_("object"==typeof(e=read(n,"binary"))),e)},"undefined"!=typeof scriptArgs&&scriptArgs,"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(u||s)&&(s?m=self.location.href:document.currentScript&&(m=document.currentScript.src),t&&(m=t),m=0!==m.indexOf("blob:")?m.substr(0,m.lastIndexOf("/")+1):"",l=function(n){var e=new XMLHttpRequest;return e.open("GET",n,!1),e.send(null),e.responseText},s&&(p=function(n){var e=new XMLHttpRequest;return e.open("GET",n,!1),e.responseType="arraybuffer",e.send(null),new Uint8Array(e.response)}));var b,h,y=a.print||console.log.bind(console),g=a.printErr||console.warn.bind(console);for(e in r)r.hasOwnProperty(e)&&(a[e]=r[e]);r=null,a.arguments&&a.arguments,a.thisProgram&&a.thisProgram,a.quit&&a.quit,a.wasmBinary&&(b=a.wasmBinary),a.noExitRuntime&&a.noExitRuntime,"object"!=typeof WebAssembly&&g("no native wasm support detected");var w=new WebAssembly.Table({initial:146,maximum:146,element:"anyfunc"}),I=!1;function _(n,e){n||un("Assertion failed: "+e)}function k(n){var e=a["_"+n];return _(e,"Cannot call unknown function "+n+", make sure it is exported"),e}function v(n,e,t,a,r){var u={string:function(n){var e=0;if(null!=n&&0!==n){var t=1+(n.length<<2);N(n,e=Dn(t),t)}return e},array:function(n){var e=Dn(n.length);return C(n,e),e}},s=k(n),i=[],o=0;if(a)for(var l=0;l<a.length;l++){var p=u[t[l]];p?(0===o&&(o=En()),i[l]=p(a[l])):i[l]=a[l]}var d=s.apply(null,i);return d=function(n){return"string"===e?F(n):"boolean"===e?Boolean(n):n}(d),0!==o&&On(o),d}function M(n,e,t,a){var r=(t=t||[]).every((function(n){return"number"===n}));return"string"!==e&&r&&!a?k(n):function(){return v(n,e,t,arguments)}}var A="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function S(n,e,t){for(var a=e+t,r=e;n[r]&&!(r>=a);)++r;if(r-e>16&&n.subarray&&A)return A.decode(n.subarray(e,r));for(var u="";e<r;){var s=n[e++];if(128&s){var i=63&n[e++];if(192!=(224&s)){var o=63&n[e++];if((s=224==(240&s)?(15&s)<<12|i<<6|o:(7&s)<<18|i<<12|o<<6|63&n[e++])<65536)u+=String.fromCharCode(s);else{var l=s-65536;u+=String.fromCharCode(55296|l>>10,56320|1023&l)}}else u+=String.fromCharCode((31&s)<<6|i)}else u+=String.fromCharCode(s)}return u}function F(n,e){return n?S(D,n,e):""}function x(n,e,t,a){if(!(a>0))return 0;for(var r=t,u=t+a-1,s=0;s<n.length;++s){var i=n.charCodeAt(s);if(i>=55296&&i<=57343&&(i=65536+((1023&i)<<10)|1023&n.charCodeAt(++s)),i<=127){if(t>=u)break;e[t++]=i}else if(i<=2047){if(t+1>=u)break;e[t++]=192|i>>6,e[t++]=128|63&i}else if(i<=65535){if(t+2>=u)break;e[t++]=224|i>>12,e[t++]=128|i>>6&63,e[t++]=128|63&i}else{if(t+3>=u)break;e[t++]=240|i>>18,e[t++]=128|i>>12&63,e[t++]=128|i>>6&63,e[t++]=128|63&i}}return e[t]=0,t-r}function N(n,e,t){return x(n,D,e,t)}function C(n,e){E.set(n,e)}var R,E,D,O,P=65536;function W(n,e){return n%e>0&&(n+=e-n%e),n}function z(n){R=n,a.HEAP8=E=new Int8Array(n),a.HEAP16=new Int16Array(n),a.HEAP32=O=new Int32Array(n),a.HEAPU8=D=new Uint8Array(n),a.HEAPU16=new Uint16Array(n),a.HEAPU32=new Uint32Array(n),a.HEAPF32=new Float32Array(n),a.HEAPF64=new Float64Array(n)}var H=5254800,T=11760,U=a.INITIAL_MEMORY||16777216;function B(n){for(;n.length>0;){var e=n.shift();if("function"!=typeof e){var t=e.func;"number"==typeof t?void 0===e.arg?a.dynCall_v(t):a.dynCall_vi(t,e.arg):t(void 0===e.arg?null:e.arg)}else e(a)}}(h=a.wasmMemory?a.wasmMemory:new WebAssembly.Memory({initial:U/P,maximum:2147483648/P}))&&(R=h.buffer),U=R.byteLength,z(R),O[T>>2]=H;var q=[],L=[],V=[],j=[];function G(){if(a.preRun)for("function"==typeof a.preRun&&(a.preRun=[a.preRun]);a.preRun.length;)Y(a.preRun.shift());B(q)}function $(){B(L)}function X(){B(V)}function K(){if(a.postRun)for("function"==typeof a.postRun&&(a.postRun=[a.postRun]);a.postRun.length;)J(a.postRun.shift());B(j)}function Y(n){q.unshift(n)}function J(n){j.unshift(n)}var Q=Math.ceil,Z=Math.floor,nn=0,en=null,tn=null;function an(n){nn++,a.monitorRunDependencies&&a.monitorRunDependencies(nn)}function rn(n){if(nn--,a.monitorRunDependencies&&a.monitorRunDependencies(nn),0==nn&&(null!==en&&(clearInterval(en),en=null),tn)){var e=tn;tn=null,e()}}function un(n){throw a.onAbort&&a.onAbort(n),y(n+=""),g(n),I=!0,n="abort("+n+"). Build with -s ASSERTIONS=1 for more info.",new WebAssembly.RuntimeError(n)}function sn(n,e){return String.prototype.startsWith?n.startsWith(e):0===n.indexOf(e)}a.preloadedImages={},a.preloadedAudios={};var on="data:application/octet-stream;base64,";function ln(n){return sn(n,on)}var pn="file://";function dn(n){return sn(n,pn)}var cn="tfjs-backend-wasm.wasm";function mn(){try{if(b)return new Uint8Array(b);if(p)return p(cn);throw"both async and sync fetching of the wasm failed"}catch(n){un(n)}}function fn(){return b||!u&&!s||"function"!=typeof fetch||dn(cn)?new Promise((function(n,e){n(mn())})):fetch(cn,{credentials:"same-origin"}).then((function(n){if(!n.ok)throw"failed to load wasm binary file at '"+cn+"'";return n.arrayBuffer()})).catch((function(){return mn()}))}function bn(){var n={a:Sn};function e(n,e){var t=n.exports;a.asm=t,rn()}function t(n){e(n.instance)}function r(e){return fn().then((function(e){return WebAssembly.instantiate(e,n)})).then(e,(function(n){g("failed to asynchronously prepare wasm: "+n),un(n)}))}if(an(),a.instantiateWasm)try{return a.instantiateWasm(n,e)}catch(n){return g("Module.instantiateWasm callback failed with error: "+n),!1}return function(){if(b||"function"!=typeof WebAssembly.instantiateStreaming||ln(cn)||dn(cn)||"function"!=typeof fetch)return r(t);fetch(cn,{credentials:"same-origin"}).then((function(e){return WebAssembly.instantiateStreaming(e,n).then(t,(function(n){g("wasm streaming compile failed: "+n),g("falling back to ArrayBuffer instantiation"),r(t)}))}))}(),{}}function hn(){un()}function yn(n,e,t){D.copyWithin(n,e,e+t)}function gn(){return D.length}function wn(n){try{return h.grow(n-R.byteLength+65535>>>16),z(h.buffer),1}catch(n){}}function In(n){n>>>=0;var e=gn();if(n>2147483648)return!1;for(var t=1;t<=4;t*=2){var a=e*(1+.2/t);if(a=Math.min(a,n+100663296),wn(Math.min(2147483648,W(Math.max(16777216,n,a),65536))))return!0}return!1}ln(cn)||(cn=f(cn)),L.push({func:function(){Nn()}});var _n={mappings:{},buffers:[null,[],[]],printChar:function(n,e){var t=_n.buffers[n];0===e||10===e?((1===n?y:g)(S(t,0)),t.length=0):t.push(e)},varargs:void 0,get:function(){return _n.varargs+=4,O[_n.varargs-4>>2]},getStr:function(n){return F(n)},get64:function(n,e){return n}};function kn(n){return 0}function vn(n,e,t,a,r){}function Mn(n,e,t,a){for(var r=0,u=0;u<t;u++){for(var s=O[e+8*u>>2],i=O[e+(8*u+4)>>2],o=0;o<i;o++)_n.printChar(n,D[s+o]);r+=i}return O[a>>2]=r,0}function An(n){return(n=+n)>=0?+Z(n+.5):+Q(n-.5)}var Sn={a:hn,e:yn,f:In,g:kn,d:vn,c:Mn,memory:h,b:An,table:w},Fn=bn();a.asm=Fn;var xn,Nn=a.___wasm_call_ctors=function(){return(Nn=a.___wasm_call_ctors=a.asm.h).apply(null,arguments)},En=(a._init=function(){return(a._init=a.asm.i).apply(null,arguments)},a._register_tensor=function(){return(a._register_tensor=a.asm.j).apply(null,arguments)},a._dispose_data=function(){return(a._dispose_data=a.asm.k).apply(null,arguments)},a._dispose=function(){return(a._dispose=a.asm.l).apply(null,arguments)},a._Abs=function(){return(a._Abs=a.asm.m).apply(null,arguments)},a._Add=function(){return(a._Add=a.asm.n).apply(null,arguments)},a._AddN=function(){return(a._AddN=a.asm.o).apply(null,arguments)},a._ArgMax=function(){return(a._ArgMax=a.asm.p).apply(null,arguments)},a._AvgPool=function(){return(a._AvgPool=a.asm.q).apply(null,arguments)},a._BatchMatMul=function(){return(a._BatchMatMul=a.asm.r).apply(null,arguments)},a._ClipByValue=function(){return(a._ClipByValue=a.asm.s).apply(null,arguments)},a._Conv2D=function(){return(a._Conv2D=a.asm.t).apply(null,arguments)},a._Conv2DBackpropInput=function(){return(a._Conv2DBackpropInput=a.asm.u).apply(null,arguments)},a._Cos=function(){return(a._Cos=a.asm.v).apply(null,arguments)},a._CropAndResize=function(){return(a._CropAndResize=a.asm.w).apply(null,arguments)},a._DepthwiseConv2dNative=function(){return(a._DepthwiseConv2dNative=a.asm.x).apply(null,arguments)},a._Div=function(){return(a._Div=a.asm.y).apply(null,arguments)},a._Equal=function(){return(a._Equal=a.asm.z).apply(null,arguments)},a._Exp=function(){return(a._Exp=a.asm.A).apply(null,arguments)},a._FloorDiv=function(){return(a._FloorDiv=a.asm.B).apply(null,arguments)},a._FusedBatchNorm=function(){return(a._FusedBatchNorm=a.asm.C).apply(null,arguments)},a._FusedConv2D=function(){return(a._FusedConv2D=a.asm.D).apply(null,arguments)},a._FusedDepthwiseConv2D=function(){return(a._FusedDepthwiseConv2D=a.asm.E).apply(null,arguments)},a._Gather=function(){return(a._Gather=a.asm.F).apply(null,arguments)},a._GatherNd=function(){return(a._GatherNd=a.asm.G).apply(null,arguments)},a._Greater=function(){return(a._Greater=a.asm.H).apply(null,arguments)},a._GreaterEqual=function(){return(a._GreaterEqual=a.asm.I).apply(null,arguments)},a._Less=function(){return(a._Less=a.asm.J).apply(null,arguments)},a._LessEqual=function(){return(a._LessEqual=a.asm.K).apply(null,arguments)},a._Log=function(){return(a._Log=a.asm.L).apply(null,arguments)},a._LogicalAnd=function(){return(a._LogicalAnd=a.asm.M).apply(null,arguments)},a._Max=function(){return(a._Max=a.asm.N).apply(null,arguments)},a._MaxPool=function(){return(a._MaxPool=a.asm.O).apply(null,arguments)},a._Maximum=function(){return(a._Maximum=a.asm.P).apply(null,arguments)},a._Min=function(){return(a._Min=a.asm.Q).apply(null,arguments)},a._Minimum=function(){return(a._Minimum=a.asm.R).apply(null,arguments)},a._Multiply=function(){return(a._Multiply=a.asm.S).apply(null,arguments)},a._Negate=function(){return(a._Negate=a.asm.T).apply(null,arguments)},a._NonMaxSuppressionV3=function(){return(a._NonMaxSuppressionV3=a.asm.U).apply(null,arguments)},a._NonMaxSuppressionV4=function(){return(a._NonMaxSuppressionV4=a.asm.V).apply(null,arguments)},a._NonMaxSuppressionV5=function(){return(a._NonMaxSuppressionV5=a.asm.W).apply(null,arguments)},a._NotEqual=function(){return(a._NotEqual=a.asm.X).apply(null,arguments)},a._OneHot=function(){return(a._OneHot=a.asm.Y).apply(null,arguments)},a._PadV2=function(){return(a._PadV2=a.asm.Z).apply(null,arguments)},a._Pow=function(){return(a._Pow=a.asm._).apply(null,arguments)},a._Prelu=function(){return(a._Prelu=a.asm.$).apply(null,arguments)},a._Relu=function(){return(a._Relu=a.asm.aa).apply(null,arguments)},a._Relu6=function(){return(a._Relu6=a.asm.ba).apply(null,arguments)},a._ResizeBilinear=function(){return(a._ResizeBilinear=a.asm.ca).apply(null,arguments)},a._Reverse=function(){return(a._Reverse=a.asm.da).apply(null,arguments)},a._RotateWithOffset=function(){return(a._RotateWithOffset=a.asm.ea).apply(null,arguments)},a._Rsqrt=function(){return(a._Rsqrt=a.asm.fa).apply(null,arguments)},a._ScatterNd=function(){return(a._ScatterNd=a.asm.ga).apply(null,arguments)},a._SelectV2=function(){return(a._SelectV2=a.asm.ha).apply(null,arguments)},a._Sigmoid=function(){return(a._Sigmoid=a.asm.ia).apply(null,arguments)},a._Sin=function(){return(a._Sin=a.asm.ja).apply(null,arguments)},a._Softmax=function(){return(a._Softmax=a.asm.ka).apply(null,arguments)},a._Sqrt=function(){return(a._Sqrt=a.asm.la).apply(null,arguments)},a._Square=function(){return(a._Square=a.asm.ma).apply(null,arguments)},a._Sub=function(){return(a._Sub=a.asm.na).apply(null,arguments)},a._Sum=function(){return(a._Sum=a.asm.oa).apply(null,arguments)},a._Tanh=function(){return(a._Tanh=a.asm.pa).apply(null,arguments)},a._Tile=function(){return(a._Tile=a.asm.qa).apply(null,arguments)},a._Transpose=function(){return(a._Transpose=a.asm.ra).apply(null,arguments)},a.__FusedMatMul=function(){return(a.__FusedMatMul=a.asm.sa).apply(null,arguments)},a._malloc=function(){return(a._malloc=a.asm.ta).apply(null,arguments)},a._free=function(){return(a._free=a.asm.ua).apply(null,arguments)},a.stackSave=function(){return(En=a.stackSave=a.asm.va).apply(null,arguments)}),Dn=a.stackAlloc=function(){return(Dn=a.stackAlloc=a.asm.wa).apply(null,arguments)},On=a.stackRestore=function(){return(On=a.stackRestore=a.asm.xa).apply(null,arguments)};function Pn(n){this.name="ExitStatus",this.message="Program terminated with exit("+n+")",this.status=n}function Wn(n){function e(){xn||(xn=!0,a.calledRun=!0,I||($(),X(),a.onRuntimeInitialized&&a.onRuntimeInitialized(),K()))}nn>0||(G(),nn>0||(a.setStatus?(a.setStatus("Running..."),setTimeout((function(){setTimeout((function(){a.setStatus("")}),1),e()}),1)):e()))}if(a.dynCall_vi=function(){return(a.dynCall_vi=a.asm.ya).apply(null,arguments)},a.dynCall_v=function(){return(a.dynCall_v=a.asm.za).apply(null,arguments)},a.asm=Fn,a.cwrap=M,a.then=function(n){if(xn)n(a);else{var e=a.onRuntimeInitialized;a.onRuntimeInitialized=function(){e&&e(),n(a)}}return a},tn=function n(){xn||Wn(),xn||(tn=n)},a.run=Wn,a.preInit)for("function"==typeof a.preInit&&(a.preInit=[a.preInit]);a.preInit.length>0;)a.preInit.pop()();return Wn(),n});n.exports=a}));class Le extends Sn{constructor(n){super(),this.wasm=n,this.dataIdNextNumber=1,this.wasm.tfjs.init(),this.dataIdMap=new Fn(this,xn())}write(n,e,t){const a={};return this.move(a,n,e,t),a}numDataIds(){return this.dataIdMap.numDataIds()}async time(n){const t=e.now();return n(),{kernelMs:e.now()-t}}move(n,t,a,r){const u=this.dataIdNextNumber++;if("string"===r){const e=t;return void this.dataIdMap.set(n,{id:u,stringBytes:e,shape:a,dtype:r,memoryOffset:null})}const s=e.sizeFromShape(a),i=s*e.bytesPerElement(r),o=this.wasm._malloc(i);this.dataIdMap.set(n,{id:u,memoryOffset:o,shape:a,dtype:r}),this.wasm.tfjs.registerTensor(u,s,o),null!=t&&this.wasm.HEAPU8.set(new Uint8Array(t.buffer,t.byteOffset,i),o)}async read(n){return this.readSync(n)}readSync(n){const{memoryOffset:t,dtype:a,shape:r,stringBytes:u}=this.dataIdMap.get(n);return"string"===a?u:function(n,e){switch(e){case"float32":return new Float32Array(n);case"int32":return new Int32Array(n);case"bool":return new Uint8Array(n);default:throw new Error(`Unknown dtype ${e}`)}}(this.wasm.HEAPU8.slice(t,t+e.sizeFromShape(r)*e.bytesPerElement(a)).buffer,a)}disposeData(n){const e=this.dataIdMap.get(n);this.wasm._free(e.memoryOffset),this.wasm.tfjs.disposeData(e.id),this.dataIdMap.delete(n)}floatPrecision(){return 32}getMemoryOffset(n){return this.dataIdMap.get(n).memoryOffset}dispose(){this.wasm.tfjs.dispose(),this.wasm=null}memory(){return{unreliable:!1}}makeOutput(n,t,a){let r;if(null==a)r=this.write(null,n,t);else{r={};const u=this.dataIdNextNumber++;this.dataIdMap.set(r,{id:u,memoryOffset:a,shape:n,dtype:t});const s=e.sizeFromShape(n);this.wasm.tfjs.registerTensor(u,s,a)}return{dataId:r,shape:n,dtype:t}}typedArrayFromHeap({shape:n,dtype:t,dataId:a}){const r=this.wasm.HEAPU8.buffer,{memoryOffset:u}=this.dataIdMap.get(a),s=e.sizeFromShape(n);switch(t){case"float32":return new Float32Array(r,u,s);case"int32":return new Int32Array(r,u,s);case"bool":return new Uint8Array(r,u,s);default:throw new Error(`Uknown dtype ${t}`)}}}Nn("wasm",async()=>{const{wasm:n}=await async function(){const n=await An().getAsync("WASM_HAS_SIMD_SUPPORT");return new Promise((t,a)=>{const r={};null!=Ve&&(r.locateFile=(n,e)=>n.endsWith(".wasm")?Ve:e+n,Ge&&(r.instantiateWasm=function(n){return(t,a)=>(e.fetch(n,{credentials:"same-origin"}).then(e=>{e.ok||t.env.a(`failed to load wasm binary file at '${n}'`),e.arrayBuffer().then(n=>{WebAssembly.instantiate(n,t).then(n=>{a(n.instance)})})}),{})}(Ve)));const u=n?Be(r):qe(r);u.tfjs={init:u.cwrap("init",null,[]),registerTensor:u.cwrap("register_tensor",null,["number","number","number"]),disposeData:u.cwrap("dispose_data",null,["number"]),dispose:u.cwrap("dispose",null,[])};let s=!1;u.onRuntimeInitialized=()=>{s=!0,je=!1,t({wasm:u})},u.onAbort=()=>{if(s)return;if(je)return;je=!0;a({message:"Make sure the server can serve the `.wasm` file relative to the bundled js file. For more details see https://github.com/tensorflow/tfjs/blob/master/tfjs-backend-wasm/README.md#using-bundlers"})}})}();return new Le(n)},2);let Ve=null,je=!1,Ge=!1;function $e(n,e=!1){if(je)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPath()` before you call `tf.setBackend()` or `tf.ready()`");Ve=n,Ge=e}const Xe="2.1.0";export{Le as BackendWasm,$e as setWasmPath,Xe as version_wasm};
//# sourceMappingURL=tf-backend-wasm.esm.js.map
