/**
 * @license
 * Copyright 2020 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
!function(e,n){"object"==typeof exports&&"undefined"!=typeof module?n(exports,require("@tensorflow/tfjs-core"),require("path"),require("fs")):"function"==typeof define&&define.amd?define(["exports","@tensorflow/tfjs-core","path","fs"],n):n(((e=e||self).tf=e.tf||{},e.tf.wasm=e.tf.wasm||{}),e.tf,e.path,e.fs)}(this,(function(e,n,t,a){"use strict";var r,u;let i;t=t&&t.hasOwnProperty("default")?t.default:t,a=a&&a.hasOwnProperty("default")?a.default:a,function(e){e[e.float32=0]="float32",e[e.int32=1]="int32",e[e.bool=2]="bool",e[e.string=3]="string",e[e.complex64=4]="complex64"}(r||(r={})),function(e){e[e.linear=0]="linear",e[e.relu=1]="relu",e[e.relu6=2]="relu6",e[e.prelu=3]="prelu"}(u||(u={}));const s={kernelName:n._FusedMatMul,backendName:"wasm",setupFunc:function(e){i=e.wasm.cwrap(n._FusedMatMul,null,["number","array","number","number","array","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{a:r,b:s,bias:o,preluActivationWeights:l}=n;if("float32"!==r.dtype||"float32"!==s.dtype)throw new Error("_FusedMatMul for non non-float32 tensors not yet supported.");const{transposeA:p,transposeB:d,activation:c}=a,m=t.dataIdMap.get(r.dataId).id,f=t.dataIdMap.get(s.dataId).id;let b=0;if(null!=o){const e=t.dataIdMap.get(o.dataId);if(1!==e.shape.length)throw new Error("_FusedMatMul only supports rank-1 bias but got "+`rank ${e.shape.length}.`);b=e.id}const h=null==l?0:t.dataIdMap.get(l.dataId).id,y=u[c];if(null==y)throw new Error(`${c} activation not yet supported for FusedConv2D `+"in the wasm backend.");const g=p?r.shape[2]:r.shape[1],w=d?s.shape[1]:s.shape[2],_=r.shape[0],I=t.makeOutput([_,g,w],r.dtype),k=t.dataIdMap.get(I.dataId).id,v=new Uint8Array(new Int32Array(r.shape).buffer),M=new Uint8Array(new Int32Array(s.shape).buffer);return i(m,v,r.shape.length,f,M,s.shape.length,p,d,y,b,h,k),I}};function o(e){let t;return{kernelName:e,backendName:"wasm",setupFunc:function(n){t=n.wasm.cwrap(e,null,["number","number"])},kernelFunc:function(e){const{backend:a,inputs:{x:r}}=e,u=a.dataIdMap.get(r.dataId).id,i=a.makeOutput(r.shape,r.dtype),s=a.dataIdMap.get(i.dataId).id;return 0===n.util.sizeFromShape(i.shape)?i:(t(u,s),i)}}}const l=o(n.Abs);function p(e,t,a){let u;return{kernelName:e,backendName:"wasm",setupFunc:function(n){u=n.wasm.cwrap(e,null,["number","array","number","number","array","number","number","number"])},kernelFunc:function(i){const{backend:s,inputs:o}=i,{a:l,b:p}=o,d=s.dataIdMap.get(l.dataId).id,c=s.dataIdMap.get(p.dataId).id,m=null!=a?a:l.dtype,f=n.backend_util.assertAndGetBroadcastShape(l.shape,p.shape),b=s.makeOutput(f,m);if(0===n.util.sizeFromShape(f))return b;const h=new Uint8Array(new Int32Array(l.shape).buffer),y=new Uint8Array(new Int32Array(p.shape).buffer),g=s.dataIdMap.get(b.dataId).id,w=()=>u(d,h,l.shape.length,c,y,p.shape.length,r[l.dtype],g);if(t&&"float32"===l.dtype)return w(),b;const _=n.backend_util.getBroadcastDims(l.shape,f),I=n.backend_util.getBroadcastDims(p.shape,f),k=_.every((e,n)=>e===n),v=I.every((e,n)=>e===n);if(k&&v)return w(),b;throw new Error("Broadcasting along outer dims is not yet "+`supported for ${l.dtype} ${e}.`)}}}const d=p(n.Add,!0);let c;const m={kernelName:n.AddN,backendName:"wasm",setupFunc:function(e){c=e.wasm.cwrap(n.AddN,null,["array","number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:a}=e,u=a.makeOutput(t[0].shape,t[0].dtype);if(0===n.util.sizeFromShape(u.shape))return u;const i=t.map(e=>a.dataIdMap.get(e.dataId).id),s=new Uint8Array(new Int32Array(i).buffer),o=a.dataIdMap.get(u.dataId).id;return c(s,i.length,r[u.dtype],o),u}};function f(e){const{inputs:{x:n},backend:t}=e,a=t.makeOutput(n.shape,n.dtype),r=t.typedArrayFromHeap(n);return t.typedArrayFromHeap(a).set(r),a}const b={kernelName:n.Identity,backendName:"wasm",kernelFunc:f};let h;function y(e){const{inputs:n,backend:t,attrs:a}=e,[u,i]=function(e,n){const t=[],a=[];for(let r=0;r<e.length;++r)1!==e[r]&&t.push(e[r]),1!==e[n[r]]&&a.push(n[r]);for(let e=0;e<a.length;++e){let n=-1;for(let t=0;t<a.length;++t)a[t]>=e&&(-1===n||a[n]>a[t])&&(n=t);a[n]=e}return[t,a]}(n.x.shape,a.perm);let s=!0;for(let e=0;e<i.length;e++)i[e]!==e&&(s=!1);const o=function(e,n){const t=new Array(e.length);for(let a=0;a<t.length;a++)t[a]=e[n[a]];return t}(n.x.shape,a.perm),l={dataId:n.x.dataId,shape:u,dtype:n.x.dtype};if(s){const e=f({inputs:n,backend:t});return e.shape=o,e}const p=t.makeOutput(o,l.dtype),d=t.dataIdMap.get(l.dataId).id,c=t.dataIdMap.get(p.dataId).id,m=new Uint8Array(new Int32Array(i).buffer),b=new Uint8Array(new Int32Array(l.shape).buffer);return h(d,b,l.shape.length,r[l.dtype],c,m,i.length),p}const g={kernelName:n.Transpose,backendName:"wasm",kernelFunc:y,setupFunc:function(e){h=e.wasm.cwrap(n.Transpose,null,["number","array","number","number","number","array","number"])}};function w(e,t,a){const r=e.shape,u=e.shape.length,i=n.util.parseAxisParam(t,r);let s=i;const o=n.backend_util.getAxesPermutation(s,u);let l=null,p=!1;if(null!=o){const t=new Array(u);for(let e=0;e<t.length;e++)t[e]=r[o[e]];s=n.backend_util.getInnerMostAxes(s.length,u),l=y({inputs:{x:e},attrs:{perm:o},backend:a});const i=a.dataIdMap.get(e.dataId).id;a.dataIdMap.get(l.dataId).id!==i&&(p=!0)}return{transposed:l,originalAxes:i,axes:s,inputWasTransposed:p}}let _;const I={kernelName:n.ArgMax,backendName:"wasm",kernelFunc:function(e){const{backend:t,inputs:a,attrs:u}=e,{axis:i}=u,{x:s}=a,o=t.dataIdMap.get(s.dataId).id;let l=o,p=s;const{transposed:d,axes:c,inputWasTransposed:m}=w(s,i,t);if(m){const e=t.dataIdMap.get(d.dataId).id;e!==o&&(p=d,l=e)}const f=p.shape.slice(0,-1),b=t.makeOutput(f,"int32"),h=t.dataIdMap.get(b.dataId).id,y=n.util.sizeFromShape(b.shape),g=p.shape[c[0]];return _(l,r[p.dtype],y,g,h),m&&t.disposeData(d.dataId),b},setupFunc:function(e){_=e.wasm.cwrap(n.ArgMax,null,["number","number","number","number","number"])}};let k;const v={kernelName:n.AvgPool,backendName:"wasm",setupFunc:function(e){k=e.wasm.cwrap(n.AvgPool,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:t,attrs:a,backend:r}=e,u=t.x,i=r.dataIdMap.get(u.dataId).id,{filterSize:s,strides:o,pad:l,dimRoundingMode:p}=a,d=n.backend_util.computePool2DInfo(u.shape,s,o,1,l,p),c=d.filterHeight,m=d.filterWidth,f=d.padInfo.top,b=d.padInfo.right,h=d.padInfo.bottom,y=d.padInfo.left,g=d.strideHeight,w=d.strideWidth,_=d.inChannels;if("channelsLast"!==d.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+`${d.dataFormat}'. Please use 'channelsLast'.`);if(1!==d.dilationWidth||1!==d.dilationHeight)throw new Error("was backend only supports average pooling with dilation = [1, 1], "+`got [${d.dilationHeight}, ${d.dilationWidth}].`);const I=r.makeOutput(d.outShape,"float32"),v=r.dataIdMap.get(I.dataId).id;return k(i,u.shape[0],u.shape[1],u.shape[2],c,m,f,b,h,y,g,w,_,v),I}};let M;const A={kernelName:n.BatchMatMul,backendName:"wasm",setupFunc:function(e){M=e.wasm.cwrap(n.BatchMatMul,null,["number","array","number","number","array","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{a:r,b:u}=n;if("float32"!==r.dtype||"float32"!==u.dtype)throw new Error("BatchMatMul for non non-float32 tensors not yet supported.");const{transposeA:i,transposeB:s}=a,o=t.dataIdMap.get(r.dataId).id,l=t.dataIdMap.get(u.dataId).id,p=i?r.shape[2]:r.shape[1],d=s?u.shape[1]:u.shape[2],c=r.shape[0],m=t.makeOutput([c,p,d],r.dtype),f=t.dataIdMap.get(m.dataId).id,b=new Uint8Array(new Int32Array(r.shape).buffer),h=new Uint8Array(new Int32Array(u.shape).buffer);return M(o,b,r.shape.length,l,h,u.shape.length,i,s,f),m}};function S(e){const{inputs:{x:n},attrs:{dtype:t},backend:a}=e,r=a.makeOutput(n.shape,t),u=a.typedArrayFromHeap(n);return a.typedArrayFromHeap(r).set(u),r}const F={kernelName:n.Cast,backendName:"wasm",kernelFunc:S};let x;const N={kernelName:n.ClipByValue,backendName:"wasm",setupFunc:function(e){x=e.wasm.cwrap(n.ClipByValue,null,["number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{x:r}=n,{clipValueMin:u,clipValueMax:i}=a,s=t.dataIdMap.get(r.dataId).id,o=t.makeOutput(r.shape,"float32"),l=t.dataIdMap.get(o.dataId).id;return x(s,u,i,l),o}};const C={kernelName:n.Concat,backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:a}=e,r=n.util.parseAxisParam(e.attrs.axis,t[0].shape)[0],u=n.backend_util.computeOutShape(t.map(e=>e.shape),r),i=a.makeOutput(u,t[0].dtype),s=n.util.sizeFromShape(t[0].shape.slice(0,r));let o=0;const l=t.map(e=>{const t=n.util.sizeFromShape(e.shape.slice(r));return o+=t,t}),p=t.map(e=>a.typedArrayFromHeap(e)),d=a.typedArrayFromHeap(i);for(let e=0;e<s;e++){let n=e*o;for(let t=0;t<p.length;t++){const a=l[t],r=e*a,u=p[t].subarray(r,r+a);d.set(u,n),n+=a}}return i}};let R;const D={kernelName:n.Conv2D,backendName:"wasm",setupFunc:function(e){R=e.wasm.cwrap(n.Conv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:t,attrs:a,backend:r}=e,{x:u,filter:i}=t,s=r.dataIdMap.get(u.dataId).id,o=r.dataIdMap.get(i.dataId).id,{strides:l,dilations:p,pad:d,dimRoundingMode:c,dataFormat:m}=a,f=n.backend_util.convertConv2DDataFormat(m),b=n.backend_util.computeConv2DInfo(u.shape,i.shape,l,p,d,c,!1,f),h=b.filterHeight,y=b.filterWidth,g=b.padInfo.top,w=b.padInfo.right,_=b.padInfo.bottom,I=b.padInfo.left,k=b.dilationHeight,v=b.dilationWidth,M=b.strideHeight,A=b.strideWidth,S=b.inChannels,F=b.outChannels,x="SAME"===b.padInfo.type?1:0;if("channelsLast"!==b.dataFormat)throw new Error("wasm backend Conv2D does not support dataFormat:'"+`${b.dataFormat}'. Please use 'channelsLast'.`);const N=r.makeOutput(b.outShape,"float32"),C=r.dataIdMap.get(N.dataId).id;return R(s,u.shape[0],u.shape[1],u.shape[2],o,h,y,g,w,_,I,x,k,v,M,A,S,F,C),N}};let O;const E={kernelName:n.Conv2DBackpropInput,backendName:"wasm",setupFunc:function(e){O=e.wasm.cwrap(n.Conv2DBackpropInput,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{dy:u,filter:i}=a,{strides:s,pad:o,dataFormat:l,dimRoundingMode:p,inputShape:d}=r,c=n.backend_util.convertConv2DDataFormat(l),m=n.backend_util.computeConv2DInfo(d,i.shape,s,1,o,p,!1,c),{batchSize:f,filterHeight:b,filterWidth:h,inChannels:y,inHeight:g,inWidth:w,outChannels:_,outHeight:I,outWidth:k,strideHeight:v,strideWidth:M}=m,A=b-1-m.padInfo.top,S=h-1-m.padInfo.left,F="channelsLast"===m.dataFormat,x=n.util.computeStrides(m.inShape),N=n.util.computeStrides(u.shape),[C,R,D]=n.util.computeStrides(i.shape),E=x[0],P=F?x[1]:x[2],W=F?x[2]:1,z=F?1:x[1],H=N[0],T=F?N[1]:N[2],B=F?N[2]:1,U=F?1:N[1],V=t.makeOutput(m.inShape,"float32"),q=t.dataIdMap.get(V.dataId).id,L=t.dataIdMap.get(u.dataId).id,j=t.dataIdMap.get(i.dataId).id;return O(L,j,f,b,h,g,w,y,I,k,_,v,M,A,S,C,R,D,E,P,W,z,H,T,B,U,q),V}},P=o(n.Cos);var W;let z;let H;!function(e){e[e.bilinear=0]="bilinear",e[e.nearest=1]="nearest"}(W||(W={}));let T;let B;let U;let V;let q;let L;let j;let G;function $(e,n){const t=new Int32Array(e.wasm.HEAPU8.buffer,n,4),a=t[0],r=t[1],u=t[2],i=t[3];return e.wasm._free(n),{pSelectedIndices:a,selectedSize:r,pSelectedScores:u,pValidOutputs:i}}let K;let X;let Y;let Z;let J;let Q;function ee(e){const{inputs:n,attrs:t}=e,{x:a}=n,{shape:r}=t;return{dataId:a.dataId,shape:r,dtype:a.dtype}}let ne;let te;let ae;let re;let ue;let ie;function se(e){const{inputs:{x:t},attrs:{begin:a,size:r},backend:u}=e,[i,s]=n.slice_util.parseSliceParams(t,a,r),o=n.slice_util.isSliceContinous(t.shape,i,s),l=u.typedArrayFromHeap(t),p=u.makeOutput(s,t.dtype),d=u.typedArrayFromHeap(p),c=n.util.computeStrides(t.shape);if(o){const e=n.slice_util.computeFlatOffset(i,c);return d.set(l.subarray(e,e+n.util.sizeFromShape(s))),p}const m=t.shape.length;return 2===m?function(e,n,t,a,r){let u=0;const i=a[0],s=a[1],o=i+r[0];for(let a=i;a<o;a++){const i=a*n+s;t.set(e.subarray(i,i+r[1]),u),u+=r[1]}}(l,c[0],d,i,s):3===m?function(e,n,t,a,r,u){let i=0;const s=r[0],o=r[1],l=r[2],p=s+u[0],d=o+u[1];for(let r=s;r<p;r++)for(let s=o;s<d;s++){const o=r*n+s*t+l;a.set(e.subarray(o,o+u[2]),i),i+=u[2]}}(l,c[0],c[1],d,i,s):4===m?function(e,n,t,a,r,u,i){let s=0;const o=u[0],l=u[1],p=u[2],d=o+i[0],c=l+i[1],m=p+i[2],f=u[3];for(let u=o;u<d;u++)for(let o=l;o<c;o++)for(let l=p;l<m;l++){const p=u*n+o*t+l*a+f;r.set(e.subarray(p,p+i[3]),s),s+=i[3]}}(l,c[0],c[1],c[2],d,i,s):function(e,t,a,r,u){const i=n.buffer(u,t.dtype,a),s=n.buffer(t.shape,t.dtype,e);for(let e=0;e<i.size;++e){const n=i.indexToLoc(e).map((e,n)=>e+r[n]);a[e]=s.get(...n)}}(l,t,d,i,s),p}let oe;let le;let pe;const de=[l,d,m,I,v,A,F,N,C,D,E,P,{kernelName:n.CropAndResize,backendName:"wasm",setupFunc:function(e){z=e.wasm.cwrap(n.CropAndResize,null,["number","number","number","number","array","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{method:r,extrapolationValue:u,cropSize:i}=a,{image:s,boxes:o,boxInd:l}=t,p=o.shape[0],[d,c]=i,m=[p,d,c,s.shape[3]];let f,b=n.dataIdMap.get(s.dataId);"float32"!==s.dtype&&(f=S({backend:n,inputs:{x:s},attrs:{dtype:"float32"}}),b=n.dataIdMap.get(f.dataId));const h=b.id,y=n.dataIdMap.get(o.dataId).id,g=n.dataIdMap.get(l.dataId).id,w=n.makeOutput(m,"float32"),_=n.dataIdMap.get(w.dataId).id,I=new Uint8Array(new Int32Array(s.shape).buffer);return z(h,y,g,p,I,d,c,W[r],u,_),null!=f&&n.disposeData(f.dataId),w}},{kernelName:n.DepthwiseConv2dNative,backendName:"wasm",setupFunc:function(e){H=e.wasm.cwrap(n.DepthwiseConv2dNative,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:t,attrs:a,backend:r}=e,{x:u,filter:i}=t,s=r.dataIdMap.get(u.dataId).id,o=r.dataIdMap.get(i.dataId).id,{strides:l,dilations:p,pad:d,dimRoundingMode:c}=a,m=null==p?[1,1]:p,f=n.backend_util.computeConv2DInfo(u.shape,i.shape,l,m,d,c,!0),b=f.filterHeight,h=f.filterWidth,y=f.padInfo.top,g=f.padInfo.right,w=f.padInfo.bottom,_=f.padInfo.left,I=f.dilationHeight,k=f.dilationWidth,v=f.strideHeight,M=f.strideWidth,A=f.inChannels,S=f.outChannels,F="SAME"===f.padInfo.type?1:0;if("channelsLast"!==f.dataFormat)throw new Error("wasm backend DepthwiseConv2dNative does not support dataFormat:'"+`${f.dataFormat}'. Please use 'channelsLast'.`);const x=r.makeOutput(f.outShape,"float32"),N=r.dataIdMap.get(x.dataId).id;return H(s,u.shape[0],u.shape[1],u.shape[2],o,b,h,y,g,w,_,F,I,k,v,M,A,S,N),x}},p(n.Div,!0),p(n.Equal,!1,"bool"),o(n.Exp),{kernelName:n.Fill,backendName:"wasm",kernelFunc:function(e){const{attrs:{shape:n,value:t,dtype:a},backend:r}=e,u=r.makeOutput(n,a);return r.typedArrayFromHeap(u).fill(t),u}},p(n.FloorDiv,!1),s,{kernelName:n.FusedBatchNorm,backendName:"wasm",setupFunc:function(e){T=e.wasm.cwrap(n.FusedBatchNorm,null,["number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{varianceEpsilon:u}=r,{x:i,mean:s,variance:o,offset:l,scale:p}=a,d=t.dataIdMap.get(i.dataId).id,c=t.dataIdMap.get(s.dataId).id,m=t.dataIdMap.get(o.dataId).id,f=null!=l?t.dataIdMap.get(l.dataId).id:0,b=null!=p?t.dataIdMap.get(p.dataId).id:0,h=t.makeOutput(i.shape,i.dtype);if(0===n.util.sizeFromShape(i.shape))return h;const y=t.dataIdMap.get(h.dataId).id;return T(d,c,m,f,b,u,y),h}},{kernelName:n.FusedConv2D,backendName:"wasm",setupFunc:function(e){B=e.wasm.cwrap(n.FusedConv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:t,attrs:a,backend:r}=e,{x:i,filter:s,bias:o,preluActivationWeights:l}=t,{strides:p,pad:d,dilations:c,dataFormat:m,dimRoundingMode:f,activation:b}=a,h=n.backend_util.computeConv2DInfo(i.shape,s.shape,p,c,d,f),y=u[b];if(null==y)throw new Error(`${b} activation not yet supported for FusedConv2D `+"in the wasm backend.");const g=r.dataIdMap.get(i.dataId).id,w=r.dataIdMap.get(s.dataId).id,_=h.outChannels;let I=0;if(null!=o){const e=r.dataIdMap.get(o.dataId);if(1!==e.shape.length)throw new Error("FusedConv2D only supports rank-1 bias but got "+`rank ${e.shape.length}.`);if(e.shape[0]!==_)throw new Error(`FusedConv2D bias shape (${e.shape}) does not `+`match the number of output channels (${_})`);I=e.id}const k=h.filterHeight,v=h.filterWidth,M=h.padInfo.top,A=h.padInfo.right,S=h.padInfo.bottom,F=h.padInfo.left,x=h.dilationHeight,N=h.dilationWidth,C=h.strideHeight,R=h.strideWidth,D=h.inChannels,O="SAME"===h.padInfo.type?1:0,E=h.batchSize,P=h.inHeight,W=h.inWidth;if("NHWC"!==m)throw new Error("wasm backend FusedConv2D does not support dataFormat:'"+`${m}'. Please use 'NHWC'.`);const z=r.makeOutput(h.outShape,"float32"),H=r.dataIdMap.get(z.dataId).id,T=null==l?0:r.dataIdMap.get(l.dataId).id;return B(g,E,P,W,w,k,v,I,M,A,S,F,O,x,N,C,R,D,_,y,T,H),z}},{kernelName:n.FusedDepthwiseConv2D,backendName:"wasm",setupFunc:function(e){U=e.wasm.cwrap(n.FusedDepthwiseConv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:t,attrs:a,backend:r}=e,{x:i,filter:s,bias:o,preluActivationWeights:l}=t,{strides:p,pad:d,dilations:c,dataFormat:m,dimRoundingMode:f,activation:b}=a,h=n.backend_util.computeConv2DInfo(i.shape,s.shape,p,c,d,f,!0),y=u[b];if(null==y)throw new Error(`${b} activation not yet supported for FusedDepthwiseConv2D `+"in the wasm backend.");const g=r.dataIdMap.get(i.dataId).id,w=r.dataIdMap.get(s.dataId).id,_=h.outChannels;let I=0;if(null!=o){const e=r.dataIdMap.get(o.dataId);if(1!==e.shape.length)throw new Error("FusedDepthwiseConv2D only supports rank-1 bias but got "+`rank ${e.shape.length}.`);if(e.shape[0]!==_)throw new Error(`FusedDepthwiseConv2D bias shape (${e.shape}) does not `+`match the number of output channels (${_})`);I=e.id}const k=h.filterHeight,v=h.filterWidth,M=h.padInfo.top,A=h.padInfo.right,S=h.padInfo.bottom,F=h.padInfo.left,x=h.dilationHeight,N=h.dilationWidth,C=h.strideHeight,R=h.strideWidth,D=h.inChannels,O="SAME"===h.padInfo.type?1:0,E=h.batchSize,P=h.inHeight,W=h.inWidth;if("NHWC"!==m)throw new Error("wasm backend FusedDepthwiseConv2D does not support dataFormat:'"+`${m}'. Please use 'NHWC'.`);const z=r.makeOutput(h.outShape,"float32"),H=r.dataIdMap.get(z.dataId).id,T=null==l?0:r.dataIdMap.get(l.dataId).id;return U(g,E,P,W,w,k,v,I,M,A,S,F,O,x,N,C,R,D,_,y,T,H),z}},{kernelName:n.GatherNd,backendName:"wasm",setupFunc:function(e){V=e.wasm.cwrap(n.GatherNd,null,["number","number","number","number","number","number","array","number"])},kernelFunc:function(e){const{backend:t,inputs:a}=e,{params:u,indices:i}=a,[s,o,l,p]=n.gather_util.prepareAndValidate(u,i),d=t.makeOutput(s,u.dtype);if(0===o)return d;const c=i.shape,m=c[c.length-1],f=t.dataIdMap.get(u.dataId).id,b=t.dataIdMap.get(i.dataId).id,h=new Uint8Array(new Int32Array(p).buffer),y=t.dataIdMap.get(d.dataId).id;return V(f,r[u.dtype],b,o,m,l,h,y),d}},{kernelName:n.GatherV2,backendName:"wasm",setupFunc:function(e){q=e.wasm.cwrap("Gather",null,["number","number","array","number","number","number","array","number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:u}=e,{x:i,indices:s}=a,{axis:o}=u,l=i.shape.slice();l[o]=n.util.sizeFromShape(s.shape);const p=i.shape.length-1,d=t.makeOutput(l,i.dtype);if(0===n.util.sizeFromShape(i.shape))return d;const c=t.dataIdMap.get(i.dataId).id,m=t.dataIdMap.get(s.dataId).id,f=t.dataIdMap.get(d.dataId).id,b=new Uint8Array(new Int32Array(n.util.computeStrides(i.shape)).buffer),h=new Uint8Array(new Int32Array(n.util.computeStrides(l)).buffer);q(c,r[i.dtype],b,p,m,o,h,f);const y=n.util.parseAxisParam(o,i.shape)[0],g=n.backend_util.segment_util.collectGatherOpShapeInfo(i,s,y);return d.shape=g.outputShape,d}},p(n.Greater,!1,"bool"),p(n.GreaterEqual,!1,"bool"),b,p(n.Less,!1,"bool"),p(n.LessEqual,!1,"bool"),o(n.Log),p(n.LogicalAnd,!1,"bool"),{kernelName:n.Max,backendName:"wasm",setupFunc:function(e){L=e.wasm.cwrap(n.Max,null,["number, number, number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{reductionIndices:u,keepDims:i}=r,{x:s}=a;let o=t.dataIdMap.get(s.dataId).id,l=s;const{transposed:p,axes:d,originalAxes:c,inputWasTransposed:m}=w(s,u,t);if(m){l=p,o=t.dataIdMap.get(p.dataId).id}const f=l.shape.length;n.backend_util.assertAxesAreInnerMostDims("max",d,f);const[b,h]=n.backend_util.computeOutAndReduceShapes(l.shape,d),y=n.util.sizeFromShape(h),g=t.makeOutput(b,s.dtype);if(0!==n.util.sizeFromShape(l.shape)){const e=t.dataIdMap.get(g.dataId).id;L(o,y,e)}if(m&&t.disposeData(p.dataId),i){const e=n.backend_util.expandShapeToKeepDim(g.shape,c);g.shape=e}return g}},p(n.Maximum,!1),{kernelName:n.MaxPool,backendName:"wasm",setupFunc:function(e){j=e.wasm.cwrap(n.MaxPool,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:t,attrs:a,backend:r}=e,u=t.x,i=r.dataIdMap.get(u.dataId).id,{filterSize:s,strides:o,pad:l,dimRoundingMode:p}=a,d=n.backend_util.computePool2DInfo(u.shape,s,o,1,l,p),c=d.filterHeight,m=d.filterWidth,f=d.padInfo.top,b=d.padInfo.right,h=d.padInfo.bottom,y=d.padInfo.left,g=d.dilationHeight,w=d.dilationWidth,_=d.strideHeight,I=d.strideWidth,k=d.inChannels,v=d.outChannels;if("channelsLast"!==d.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+`${d.dataFormat}'. Please use 'channelsLast'.`);const M=r.makeOutput(d.outShape,"float32"),A=r.dataIdMap.get(M.dataId).id;return j(i,u.shape[0],u.shape[1],u.shape[2],c,m,f,b,h,y,g,w,_,I,k,v,A),M}},{kernelName:n.Min,backendName:"wasm",setupFunc:function(e){G=e.wasm.cwrap(n.Min,null,["number, number, number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{axis:u,keepDims:i}=r,{x:s}=a,o=t.dataIdMap.get(s.dataId).id;let l=o,p=s;const{transposed:d,axes:c,originalAxes:m,inputWasTransposed:f}=w(s,u,t);if(f){const e=t.dataIdMap.get(d.dataId).id;e!==o&&(p=d,l=e)}const b=p.shape.length;n.backend_util.assertAxesAreInnerMostDims("min",c,b);const[h,y]=n.backend_util.computeOutAndReduceShapes(p.shape,c),g=n.util.sizeFromShape(y),_=t.makeOutput(h,p.dtype);if(0!==n.util.sizeFromShape(p.shape)){const e=t.dataIdMap.get(_.dataId).id;G(l,g,e)}if(f&&t.disposeData(d.dataId),i){const e=n.backend_util.expandShapeToKeepDim(_.shape,m);_.shape=e}return _}},p(n.Minimum,!1),p(n.Multiply,!0),o(n.Negate),{kernelName:n.NonMaxSuppressionV3,backendName:"wasm",setupFunc:function(e){K=e.wasm.cwrap(n.NonMaxSuppressionV3,"number",["number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{iouThreshold:r,maxOutputSize:u,scoreThreshold:i}=a,{boxes:s,scores:o}=t,l=n.dataIdMap.get(s.dataId).id,p=n.dataIdMap.get(o.dataId).id,d=K(l,p,u,r,i),{pSelectedIndices:c,selectedSize:m,pSelectedScores:f,pValidOutputs:b}=$(n,d);return n.wasm._free(f),n.wasm._free(b),n.makeOutput([m],"int32",c)}},{kernelName:n.NonMaxSuppressionV4,backendName:"wasm",setupFunc:function(e){X=e.wasm.cwrap(n.NonMaxSuppressionV4,"number",["number","number","number","number","number","bool"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{iouThreshold:r,maxOutputSize:u,scoreThreshold:i,padToMaxOutputSize:s}=a,{boxes:o,scores:l}=t,p=n.dataIdMap.get(o.dataId).id,d=n.dataIdMap.get(l.dataId).id,c=X(p,d,u,r,i,s),{pSelectedIndices:m,selectedSize:f,pSelectedScores:b,pValidOutputs:h}=$(n,c);return n.wasm._free(b),[n.makeOutput([f],"int32",m),n.makeOutput([],"int32",h)]}},{kernelName:n.NonMaxSuppressionV5,backendName:"wasm",setupFunc:function(e){Y=e.wasm.cwrap(n.NonMaxSuppressionV5,"number",["number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{iouThreshold:r,maxOutputSize:u,scoreThreshold:i,softNmsSigma:s}=a,{boxes:o,scores:l}=t,p=n.dataIdMap.get(o.dataId).id,d=n.dataIdMap.get(l.dataId).id,c=Y(p,d,u,r,i,s),{pSelectedIndices:m,selectedSize:f,pSelectedScores:b,pValidOutputs:h}=$(n,c);return n.wasm._free(h),[n.makeOutput([f],"int32",m),n.makeOutput([f],"float32",b)]}},p(n.NotEqual,!1,"bool"),{kernelName:n.OneHot,backendName:"wasm",setupFunc:function(e){Z=e.wasm.cwrap(n.OneHot,null,["number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{indices:r}=n,{depth:u,onValue:i,offValue:s}=a,o=t.makeOutput([...r.shape,u],"int32"),l=t.dataIdMap.get(o.dataId).id,p=t.dataIdMap.get(r.dataId).id;return Z(p,u,i,s,l),o}},{kernelName:n.OnesLike,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:t}=e,a=t.makeOutput(n.shape,n.dtype);return t.typedArrayFromHeap(a).fill(1),a}},{kernelName:n.PadV2,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:t,attrs:{paddings:a,constantValue:u}}=e,i=a.map((e,t)=>e[0]+n.shape[t]+e[1]),s=t.dataIdMap.get(n.dataId).id,o=t.makeOutput(i,n.dtype),l=t.dataIdMap.get(o.dataId).id,p=new Uint8Array(new Int32Array(n.shape).buffer),d=a.map(e=>e[0]),c=a.map(e=>e[1]),m=new Uint8Array(new Int32Array(d).buffer),f=new Uint8Array(new Int32Array(c).buffer);return J(s,p,n.shape.length,r[n.dtype],m,f,u,l),o},setupFunc:function(e){J=e.wasm.cwrap(n.PadV2,null,["number","array","number","number","array","array","number","number"])}},p(n.Pow,!1),{kernelName:n.Prelu,backendName:"wasm",setupFunc:function(e){Q=e.wasm.cwrap(n.Prelu,null,["number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t}=e,{x:a,alpha:r}=n,u=t.dataIdMap.get(a.dataId).id,i=t.dataIdMap.get(r.dataId).id,s=t.makeOutput(a.shape,"float32"),o=t.dataIdMap.get(s.dataId).id;return Q(u,i,o),s}},o(n.Relu),o(n.Relu6),{kernelName:n.Reshape,backendName:"wasm",kernelFunc:ee},{kernelName:n.ResizeBilinear,backendName:"wasm",setupFunc:function(e){ne=e.wasm.cwrap(n.ResizeBilinear,null,["number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{images:u}=a,{alignCorners:i,size:s}=r,[o,l]=s,[p,d,c,m]=u.shape,f=[p,o,l,m];let b,h=t.dataIdMap.get(u.dataId);"float32"!==h.dtype&&(b=S({backend:t,inputs:{x:u},attrs:{dtype:"float32"}}),h=t.dataIdMap.get(b.dataId));const y=h.id,g=t.makeOutput(f,"float32");if(0===n.util.sizeFromShape(u.shape))return g;const w=t.dataIdMap.get(g.dataId).id;return ne(y,p,d,c,m,o,l,i?1:0,w),null!=b&&t.disposeData(b.dataId),g}},{kernelName:n.Reverse,backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:a,attrs:r}=e,{x:u}=t,{dims:i}=r,s=n.util.parseAxisParam(i,u.shape);if(0===u.shape.length)return f({inputs:{x:u},backend:a});const o=a.makeOutput(u.shape,u.dtype),l=a.dataIdMap.get(u.dataId).id,p=a.dataIdMap.get(o.dataId).id,d=new Uint8Array(new Int32Array(s).buffer),c=new Uint8Array(new Int32Array(u.shape).buffer);return te(l,d,s.length,c,u.shape.length,p),ee({inputs:{x:o},attrs:{shape:u.shape},backend:a})},setupFunc:function(e){te=e.wasm.cwrap(n.Reverse,null,["number","array","number","array","number","number"])}},{kernelName:n.RotateWithOffset,backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:a,attrs:r}=e,{image:u}=t,{radians:i,fillValue:s,center:o}=r,l=a.makeOutput(u.shape,u.dtype),p=a.dataIdMap.get(u.dataId).id,d=a.dataIdMap.get(l.dataId).id,[c,m,f,b]=u.shape,[h,y]=n.backend_util.getImageCenter(o,m,f),g="number"==typeof s?[s,s,s,0===s?0:255]:[...s,255],w=new Uint8Array(new Int32Array(g).buffer);return ae(p,c,m,f,b,i,h,y,w,g.length,d),l},setupFunc:function(e){ae=e.wasm.cwrap(n.RotateWithOffset,null,["number","number","number","number","number","number","number","number","array","number","number"])}},o(n.Rsqrt),{kernelName:n.ScatterNd,backendName:"wasm",setupFunc:function(e){re=e.wasm.cwrap(n.ScatterNd,null,["number","number","number","number","number","number","array","number","number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:u}=e,{indices:i,updates:s}=a,{shape:o}=u,l=t.makeOutput(o,s.dtype);if(0===n.util.sizeFromShape(o))return l;const{sliceRank:p,numUpdates:d,sliceSize:c,strides:m,outputSize:f}=n.scatter_util.calculateShapes(s,i,o),b=t.dataIdMap.get(i.dataId).id,h=t.dataIdMap.get(s.dataId).id,y=new Uint8Array(new Int32Array(m).buffer),g=t.dataIdMap.get(l.dataId).id;return re(b,h,r[s.dtype],p,d,c,y,f,g),l}},{kernelName:n.SelectV2,backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:a}=e,{condition:r,t:u,e:i}=t,s=a.dataIdMap.get(r.dataId).id,o=a.dataIdMap.get(u.dataId).id,l=a.dataIdMap.get(i.dataId).id,p=a.makeOutput(u.shape,u.dtype),d=a.dataIdMap.get(p.dataId).id,c=r.shape.length,m=u.shape.length,f=0===c||c>1||1===m?1:n.util.sizeFromShape(u.shape.slice(1));return ue(s,o,l,f,d),p},setupFunc:function(e){ue=e.wasm.cwrap(n.SelectV2,null,["number","number","number","number","number"])}},{kernelName:"Sigmoid",backendName:"wasm",setupFunc:function(e){ie=e.wasm.cwrap(n.Sigmoid,null,["number","number"])},kernelFunc:function(e){const{backend:t,inputs:{x:a}}=e,r=t.dataIdMap.get(a.dataId).id,u=t.makeOutput(a.shape,a.dtype),i=t.dataIdMap.get(u.dataId).id;return 0===n.util.sizeFromShape(u.shape)?u:(ie(r,i),u)}},o(n.Sin),{kernelName:n.Slice,backendName:"wasm",kernelFunc:se},{kernelName:n.Softmax,backendName:"wasm",setupFunc:function(e){oe=e.wasm.cwrap(n.Softmax,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:{logits:a},attrs:{dim:r}}=e,u=t.dataIdMap.get(a.dataId).id,i=t.makeOutput(a.shape,a.dtype),s=t.dataIdMap.get(i.dataId).id,o=a.shape[r],l=n.util.sizeFromShape(a.shape)/o;return 0===n.util.sizeFromShape(i.shape)?i:(oe(u,s,o,l),i)}},{kernelName:n.SplitV,backendName:"wasm",kernelFunc:function(e){const{inputs:t,attrs:a,backend:r}=e,{x:u}=t,{numOrSizeSplits:i,axis:s}=a,o=n.util.parseAxisParam(s,u.shape)[0],l=n.backend_util.prepareSplitSize(u,i,s),p=new Array(u.shape.length).fill(0),d=u.shape.slice();return l.map(e=>{const n=[...d];n[o]=e;const t=se({inputs:{x:u},attrs:{begin:p,size:n},backend:r});return p[o]+=e,t})}},o(n.Sqrt),o(n.Square),p(n.Sub,!0),{kernelName:n.Sum,backendName:"wasm",setupFunc:function(e){le=e.wasm.cwrap(n.Sum,null,["number, number, number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{axis:u,keepDims:i}=r,{x:s}=a,o=t.dataIdMap.get(s.dataId).id;let l=o,p=s;const{transposed:d,axes:c,originalAxes:m,inputWasTransposed:f}=w(s,u,t);let b=c;if(f){const e=t.dataIdMap.get(d.dataId).id;e!==o&&(p=d,l=e,b=n.backend_util.getInnerMostAxes(b.length,p.shape.length))}n.backend_util.assertAxesAreInnerMostDims("sum",b,p.shape.length);const[h,y]=n.backend_util.computeOutAndReduceShapes(p.shape,b),g=n.util.sizeFromShape(y),_=t.makeOutput(h,p.dtype);if(0!==n.util.sizeFromShape(p.shape)){const e=t.dataIdMap.get(_.dataId).id;le(l,g,e)}if(f&&t.disposeData(d.dataId),i){const e=n.backend_util.expandShapeToKeepDim(_.shape,m);_.shape=e}return _}},o(n.Tanh),{kernelName:n.Tile,backendName:"wasm",setupFunc:function(e){pe=e.wasm.cwrap(n.Tile,null,["number","array","number","array","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{x:u}=n,i=t.dataIdMap.get(u.dataId).id,{reps:s}=a,o=new Array(u.shape.length);for(let e=0;e<o.length;e++)o[e]=u.shape[e]*s[e];const l=new Uint8Array(new Int32Array(u.shape).buffer),p=new Uint8Array(new Int32Array(o).buffer),d=t.makeOutput(o,u.dtype),c=t.dataIdMap.get(d.dataId).id;return pe(i,l,u.shape.length,p,o.length,r[d.dtype],c),d}},g,{kernelName:n.Unpack,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{value:r}=n,{axis:u}=a,i=r.shape[u],s=r.shape.length,o=new Array(s-1);let l=0;for(let e=0;e<s;e++)e!==u&&(o[l++]=r.shape[e]);const p=new Array(i),d=new Array(s).fill(0),c=r.shape.slice();c[u]=1;for(let e=0;e<p.length;e++)d[u]=e,p[e]=se({inputs:{x:r},attrs:{begin:d,size:c},backend:t});return p.map(({dataId:e,dtype:n})=>({dataId:e,dtype:n,shape:o}))}},{kernelName:n.ZerosLike,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:t}=e,a=t.makeOutput(n.shape,n.dtype);return t.typedArrayFromHeap(a).fill(0),a}}];for(const e of de)n.registerKernel(e);function ce(e,n){return e(n={exports:{}},n.exports),n.exports}n.env().registerFlag("WASM_HAS_SIMD_SUPPORT",async()=>WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,10,9,1,7,0,65,0,253,15,26,11])));var me=ce((function(e,n){var r,u=(r="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(r=r||__filename),function(e){var n,u=void 0!==(e=e||{})?e:{},i={};for(n in u)u.hasOwnProperty(n)&&(i[n]=u[n]);var s=!1,o=!1,l=!1,p=!1;s="object"==typeof window,o="function"==typeof importScripts,l="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,p=!s&&!l&&!o;var d,c,m,f,b="";function h(e){return u.locateFile?u.locateFile(e,b):b+e}l?(b=o?t.dirname(b)+"/":__dirname+"/",d=function(e,n){return m||(m=a),f||(f=t),e=f.normalize(e),m.readFileSync(e,n?null:"utf8")},c=function(e){var n=d(e,!0);return n.buffer||(n=new Uint8Array(n)),v(n.buffer),n},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof Ee))throw e})),process.on("unhandledRejection",se),u.inspect=function(){return"[Emscripten Module object]"}):p?("undefined"!=typeof read&&(d=function(e){return read(e)}),c=function(e){var n;return"function"==typeof readbuffer?new Uint8Array(readbuffer(e)):(v("object"==typeof(n=read(e,"binary"))),n)},"undefined"!=typeof scriptArgs&&scriptArgs,"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(s||o)&&(o?b=self.location.href:document.currentScript&&(b=document.currentScript.src),r&&(b=r),b=0!==b.indexOf("blob:")?b.substr(0,b.lastIndexOf("/")+1):"",d=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.send(null),n.responseText},o&&(c=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.responseType="arraybuffer",n.send(null),new Uint8Array(n.response)}));var y,g,w=u.print||console.log.bind(console),_=u.printErr||console.warn.bind(console);for(n in i)i.hasOwnProperty(n)&&(u[n]=i[n]);i=null,u.arguments&&u.arguments,u.thisProgram&&u.thisProgram,u.quit&&u.quit,u.wasmBinary&&(y=u.wasmBinary),u.noExitRuntime&&u.noExitRuntime,"object"!=typeof WebAssembly&&_("no native wasm support detected");var I=new WebAssembly.Table({initial:151,maximum:151,element:"anyfunc"}),k=!1;function v(e,n){e||se("Assertion failed: "+n)}function M(e){var n=u["_"+e];return v(n,"Cannot call unknown function "+e+", make sure it is exported"),n}function A(e,n,t,a,r){var u={string:function(e){var n=0;if(null!=e&&0!==e){var t=1+(e.length<<2);R(e,n=De(t),t)}return n},array:function(e){var n=De(e.length);return D(e,n),n}},i=M(e),s=[],o=0;if(a)for(var l=0;l<a.length;l++){var p=u[t[l]];p?(0===o&&(o=Re()),s[l]=p(a[l])):s[l]=a[l]}var d=i.apply(null,s);return d=function(e){return"string"===n?N(e):"boolean"===n?Boolean(e):e}(d),0!==o&&Oe(o),d}function S(e,n,t,a){var r=(t=t||[]).every((function(e){return"number"===e}));return"string"!==n&&r&&!a?M(e):function(){return A(e,n,t,arguments)}}var F="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function x(e,n,t){for(var a=n+t,r=n;e[r]&&!(r>=a);)++r;if(r-n>16&&e.subarray&&F)return F.decode(e.subarray(n,r));for(var u="";n<r;){var i=e[n++];if(128&i){var s=63&e[n++];if(192!=(224&i)){var o=63&e[n++];if((i=224==(240&i)?(15&i)<<12|s<<6|o:(7&i)<<18|s<<12|o<<6|63&e[n++])<65536)u+=String.fromCharCode(i);else{var l=i-65536;u+=String.fromCharCode(55296|l>>10,56320|1023&l)}}else u+=String.fromCharCode((31&i)<<6|s)}else u+=String.fromCharCode(i)}return u}function N(e,n){return e?x(P,e,n):""}function C(e,n,t,a){if(!(a>0))return 0;for(var r=t,u=t+a-1,i=0;i<e.length;++i){var s=e.charCodeAt(i);if(s>=55296&&s<=57343&&(s=65536+((1023&s)<<10)|1023&e.charCodeAt(++i)),s<=127){if(t>=u)break;n[t++]=s}else if(s<=2047){if(t+1>=u)break;n[t++]=192|s>>6,n[t++]=128|63&s}else if(s<=65535){if(t+2>=u)break;n[t++]=224|s>>12,n[t++]=128|s>>6&63,n[t++]=128|63&s}else{if(t+3>=u)break;n[t++]=240|s>>18,n[t++]=128|s>>12&63,n[t++]=128|s>>6&63,n[t++]=128|63&s}}return n[t]=0,t-r}function R(e,n,t){return C(e,P,n,t)}function D(e,n){E.set(e,n)}var O,E,P,W,z=65536;function H(e,n){return e%n>0&&(e+=n-e%n),e}function T(e){O=e,u.HEAP8=E=new Int8Array(e),u.HEAP16=new Int16Array(e),u.HEAP32=W=new Int32Array(e),u.HEAPU8=P=new Uint8Array(e),u.HEAPU16=new Uint16Array(e),u.HEAPU32=new Uint32Array(e),u.HEAPF32=new Float32Array(e),u.HEAPF64=new Float64Array(e)}var B=5254528,U=11488,V=u.INITIAL_MEMORY||16777216;function q(e){for(;e.length>0;){var n=e.shift();if("function"!=typeof n){var t=n.func;"number"==typeof t?void 0===n.arg?u.dynCall_v(t):u.dynCall_vi(t,n.arg):t(void 0===n.arg?null:n.arg)}else n(u)}}(g=u.wasmMemory?u.wasmMemory:new WebAssembly.Memory({initial:V/z,maximum:2147483648/z}))&&(O=g.buffer),V=O.byteLength,T(O),W[U>>2]=B;var L=[],j=[],G=[],$=[];function K(){if(u.preRun)for("function"==typeof u.preRun&&(u.preRun=[u.preRun]);u.preRun.length;)J(u.preRun.shift());q(L)}function X(){q(j)}function Y(){q(G)}function Z(){if(u.postRun)for("function"==typeof u.postRun&&(u.postRun=[u.postRun]);u.postRun.length;)Q(u.postRun.shift());q($)}function J(e){L.unshift(e)}function Q(e){$.unshift(e)}var ee=Math.ceil,ne=Math.floor,te=0,ae=null,re=null;function ue(e){te++,u.monitorRunDependencies&&u.monitorRunDependencies(te)}function ie(e){if(te--,u.monitorRunDependencies&&u.monitorRunDependencies(te),0==te&&(null!==ae&&(clearInterval(ae),ae=null),re)){var n=re;re=null,n()}}function se(e){throw u.onAbort&&u.onAbort(e),w(e+=""),_(e),k=!0,e="abort("+e+"). Build with -s ASSERTIONS=1 for more info.",new WebAssembly.RuntimeError(e)}function oe(e,n){return String.prototype.startsWith?e.startsWith(n):0===e.indexOf(n)}u.preloadedImages={},u.preloadedAudios={};var le="data:application/octet-stream;base64,";function pe(e){return oe(e,le)}var de="file://";function ce(e){return oe(e,de)}var me="tfjs-backend-wasm-simd.wasm";function fe(){try{if(y)return new Uint8Array(y);if(c)return c(me);throw"both async and sync fetching of the wasm failed"}catch(e){se(e)}}function be(){return y||!s&&!o||"function"!=typeof fetch||ce(me)?new Promise((function(e,n){e(fe())})):fetch(me,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+me+"'";return e.arrayBuffer()})).catch((function(){return fe()}))}function he(){var e={a:Fe};function n(e,n){var t=e.exports;u.asm=t,ie()}function t(e){n(e.instance)}function a(n){return be().then((function(n){return WebAssembly.instantiate(n,e)})).then(n,(function(e){_("failed to asynchronously prepare wasm: "+e),se(e)}))}if(ue(),u.instantiateWasm)try{return u.instantiateWasm(e,n)}catch(e){return _("Module.instantiateWasm callback failed with error: "+e),!1}return function(){if(y||"function"!=typeof WebAssembly.instantiateStreaming||pe(me)||ce(me)||"function"!=typeof fetch)return a(t);fetch(me,{credentials:"same-origin"}).then((function(n){return WebAssembly.instantiateStreaming(n,e).then(t,(function(e){_("wasm streaming compile failed: "+e),_("falling back to ArrayBuffer instantiation"),a(t)}))}))}(),{}}function ye(){se()}function ge(e,n,t){P.copyWithin(e,n,n+t)}function we(){return P.length}function _e(e){try{return g.grow(e-O.byteLength+65535>>>16),T(g.buffer),1}catch(e){}}function Ie(e){e>>>=0;var n=we();if(e>2147483648)return!1;for(var t=1;t<=4;t*=2){var a=n*(1+.2/t);if(a=Math.min(a,e+100663296),_e(Math.min(2147483648,H(Math.max(16777216,e,a),65536))))return!0}return!1}pe(me)||(me=h(me)),j.push({func:function(){Ce()}});var ke={mappings:{},buffers:[null,[],[]],printChar:function(e,n){var t=ke.buffers[e];0===n||10===n?((1===e?w:_)(x(t,0)),t.length=0):t.push(n)},varargs:void 0,get:function(){return ke.varargs+=4,W[ke.varargs-4>>2]},getStr:function(e){return N(e)},get64:function(e,n){return e}};function ve(e){return 0}function Me(e,n,t,a,r){}function Ae(e,n,t,a){for(var r=0,u=0;u<t;u++){for(var i=W[n+8*u>>2],s=W[n+(8*u+4)>>2],o=0;o<s;o++)ke.printChar(e,P[i+o]);r+=s}return W[a>>2]=r,0}function Se(e){return(e=+e)>=0?+ne(e+.5):+ee(e-.5)}var Fe={a:ye,e:ge,f:Ie,g:ve,d:Me,c:Ae,memory:g,b:Se,table:I},xe=he();u.asm=xe;var Ne,Ce=u.___wasm_call_ctors=function(){return(Ce=u.___wasm_call_ctors=u.asm.h).apply(null,arguments)},Re=(u._init=function(){return(u._init=u.asm.i).apply(null,arguments)},u._register_tensor=function(){return(u._register_tensor=u.asm.j).apply(null,arguments)},u._dispose_data=function(){return(u._dispose_data=u.asm.k).apply(null,arguments)},u._dispose=function(){return(u._dispose=u.asm.l).apply(null,arguments)},u._Abs=function(){return(u._Abs=u.asm.m).apply(null,arguments)},u._Add=function(){return(u._Add=u.asm.n).apply(null,arguments)},u._AddN=function(){return(u._AddN=u.asm.o).apply(null,arguments)},u._ArgMax=function(){return(u._ArgMax=u.asm.p).apply(null,arguments)},u._AvgPool=function(){return(u._AvgPool=u.asm.q).apply(null,arguments)},u._BatchMatMul=function(){return(u._BatchMatMul=u.asm.r).apply(null,arguments)},u._ClipByValue=function(){return(u._ClipByValue=u.asm.s).apply(null,arguments)},u._Conv2D=function(){return(u._Conv2D=u.asm.t).apply(null,arguments)},u._Conv2DBackpropInput=function(){return(u._Conv2DBackpropInput=u.asm.u).apply(null,arguments)},u._Cos=function(){return(u._Cos=u.asm.v).apply(null,arguments)},u._CropAndResize=function(){return(u._CropAndResize=u.asm.w).apply(null,arguments)},u._DepthwiseConv2dNative=function(){return(u._DepthwiseConv2dNative=u.asm.x).apply(null,arguments)},u._Div=function(){return(u._Div=u.asm.y).apply(null,arguments)},u._Equal=function(){return(u._Equal=u.asm.z).apply(null,arguments)},u._Exp=function(){return(u._Exp=u.asm.A).apply(null,arguments)},u._FloorDiv=function(){return(u._FloorDiv=u.asm.B).apply(null,arguments)},u._FusedBatchNorm=function(){return(u._FusedBatchNorm=u.asm.C).apply(null,arguments)},u._FusedConv2D=function(){return(u._FusedConv2D=u.asm.D).apply(null,arguments)},u._FusedDepthwiseConv2D=function(){return(u._FusedDepthwiseConv2D=u.asm.E).apply(null,arguments)},u._Gather=function(){return(u._Gather=u.asm.F).apply(null,arguments)},u._GatherNd=function(){return(u._GatherNd=u.asm.G).apply(null,arguments)},u._Greater=function(){return(u._Greater=u.asm.H).apply(null,arguments)},u._GreaterEqual=function(){return(u._GreaterEqual=u.asm.I).apply(null,arguments)},u._Less=function(){return(u._Less=u.asm.J).apply(null,arguments)},u._LessEqual=function(){return(u._LessEqual=u.asm.K).apply(null,arguments)},u._Log=function(){return(u._Log=u.asm.L).apply(null,arguments)},u._LogicalAnd=function(){return(u._LogicalAnd=u.asm.M).apply(null,arguments)},u._Max=function(){return(u._Max=u.asm.N).apply(null,arguments)},u._MaxPool=function(){return(u._MaxPool=u.asm.O).apply(null,arguments)},u._Maximum=function(){return(u._Maximum=u.asm.P).apply(null,arguments)},u._Min=function(){return(u._Min=u.asm.Q).apply(null,arguments)},u._Minimum=function(){return(u._Minimum=u.asm.R).apply(null,arguments)},u._Multiply=function(){return(u._Multiply=u.asm.S).apply(null,arguments)},u._Negate=function(){return(u._Negate=u.asm.T).apply(null,arguments)},u._NonMaxSuppressionV3=function(){return(u._NonMaxSuppressionV3=u.asm.U).apply(null,arguments)},u._NonMaxSuppressionV4=function(){return(u._NonMaxSuppressionV4=u.asm.V).apply(null,arguments)},u._NonMaxSuppressionV5=function(){return(u._NonMaxSuppressionV5=u.asm.W).apply(null,arguments)},u._NotEqual=function(){return(u._NotEqual=u.asm.X).apply(null,arguments)},u._OneHot=function(){return(u._OneHot=u.asm.Y).apply(null,arguments)},u._PadV2=function(){return(u._PadV2=u.asm.Z).apply(null,arguments)},u._Pow=function(){return(u._Pow=u.asm._).apply(null,arguments)},u._Prelu=function(){return(u._Prelu=u.asm.$).apply(null,arguments)},u._Relu=function(){return(u._Relu=u.asm.aa).apply(null,arguments)},u._Relu6=function(){return(u._Relu6=u.asm.ba).apply(null,arguments)},u._ResizeBilinear=function(){return(u._ResizeBilinear=u.asm.ca).apply(null,arguments)},u._Reverse=function(){return(u._Reverse=u.asm.da).apply(null,arguments)},u._RotateWithOffset=function(){return(u._RotateWithOffset=u.asm.ea).apply(null,arguments)},u._Rsqrt=function(){return(u._Rsqrt=u.asm.fa).apply(null,arguments)},u._ScatterNd=function(){return(u._ScatterNd=u.asm.ga).apply(null,arguments)},u._SelectV2=function(){return(u._SelectV2=u.asm.ha).apply(null,arguments)},u._Sigmoid=function(){return(u._Sigmoid=u.asm.ia).apply(null,arguments)},u._Sin=function(){return(u._Sin=u.asm.ja).apply(null,arguments)},u._Softmax=function(){return(u._Softmax=u.asm.ka).apply(null,arguments)},u._Sqrt=function(){return(u._Sqrt=u.asm.la).apply(null,arguments)},u._Square=function(){return(u._Square=u.asm.ma).apply(null,arguments)},u._Sub=function(){return(u._Sub=u.asm.na).apply(null,arguments)},u._Sum=function(){return(u._Sum=u.asm.oa).apply(null,arguments)},u._Tanh=function(){return(u._Tanh=u.asm.pa).apply(null,arguments)},u._Tile=function(){return(u._Tile=u.asm.qa).apply(null,arguments)},u._Transpose=function(){return(u._Transpose=u.asm.ra).apply(null,arguments)},u.__FusedMatMul=function(){return(u.__FusedMatMul=u.asm.sa).apply(null,arguments)},u._malloc=function(){return(u._malloc=u.asm.ta).apply(null,arguments)},u._free=function(){return(u._free=u.asm.ua).apply(null,arguments)},u.stackSave=function(){return(Re=u.stackSave=u.asm.va).apply(null,arguments)}),De=u.stackAlloc=function(){return(De=u.stackAlloc=u.asm.wa).apply(null,arguments)},Oe=u.stackRestore=function(){return(Oe=u.stackRestore=u.asm.xa).apply(null,arguments)};function Ee(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function Pe(e){function n(){Ne||(Ne=!0,u.calledRun=!0,k||(X(),Y(),u.onRuntimeInitialized&&u.onRuntimeInitialized(),Z()))}te>0||(K(),te>0||(u.setStatus?(u.setStatus("Running..."),setTimeout((function(){setTimeout((function(){u.setStatus("")}),1),n()}),1)):n()))}if(u.dynCall_vi=function(){return(u.dynCall_vi=u.asm.ya).apply(null,arguments)},u.dynCall_v=function(){return(u.dynCall_v=u.asm.za).apply(null,arguments)},u.asm=xe,u.cwrap=S,u.then=function(e){if(Ne)e(u);else{var n=u.onRuntimeInitialized;u.onRuntimeInitialized=function(){n&&n(),e(u)}}return u},re=function e(){Ne||Pe(),Ne||(re=e)},u.run=Pe,u.preInit)for("function"==typeof u.preInit&&(u.preInit=[u.preInit]);u.preInit.length>0;)u.preInit.pop()();return Pe(),e});e.exports=u})),fe=ce((function(e,n){var r,u=(r="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(r=r||__filename),function(e){var n,u=void 0!==(e=e||{})?e:{},i={};for(n in u)u.hasOwnProperty(n)&&(i[n]=u[n]);var s=!1,o=!1,l=!1,p=!1;s="object"==typeof window,o="function"==typeof importScripts,l="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,p=!s&&!l&&!o;var d,c,m,f,b="";function h(e){return u.locateFile?u.locateFile(e,b):b+e}l?(b=o?t.dirname(b)+"/":__dirname+"/",d=function(e,n){return m||(m=a),f||(f=t),e=f.normalize(e),m.readFileSync(e,n?null:"utf8")},c=function(e){var n=d(e,!0);return n.buffer||(n=new Uint8Array(n)),v(n.buffer),n},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof Ee))throw e})),process.on("unhandledRejection",se),u.inspect=function(){return"[Emscripten Module object]"}):p?("undefined"!=typeof read&&(d=function(e){return read(e)}),c=function(e){var n;return"function"==typeof readbuffer?new Uint8Array(readbuffer(e)):(v("object"==typeof(n=read(e,"binary"))),n)},"undefined"!=typeof scriptArgs&&scriptArgs,"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(s||o)&&(o?b=self.location.href:document.currentScript&&(b=document.currentScript.src),r&&(b=r),b=0!==b.indexOf("blob:")?b.substr(0,b.lastIndexOf("/")+1):"",d=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.send(null),n.responseText},o&&(c=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.responseType="arraybuffer",n.send(null),new Uint8Array(n.response)}));var y,g,w=u.print||console.log.bind(console),_=u.printErr||console.warn.bind(console);for(n in i)i.hasOwnProperty(n)&&(u[n]=i[n]);i=null,u.arguments&&u.arguments,u.thisProgram&&u.thisProgram,u.quit&&u.quit,u.wasmBinary&&(y=u.wasmBinary),u.noExitRuntime&&u.noExitRuntime,"object"!=typeof WebAssembly&&_("no native wasm support detected");var I=new WebAssembly.Table({initial:146,maximum:146,element:"anyfunc"}),k=!1;function v(e,n){e||se("Assertion failed: "+n)}function M(e){var n=u["_"+e];return v(n,"Cannot call unknown function "+e+", make sure it is exported"),n}function A(e,n,t,a,r){var u={string:function(e){var n=0;if(null!=e&&0!==e){var t=1+(e.length<<2);R(e,n=De(t),t)}return n},array:function(e){var n=De(e.length);return D(e,n),n}},i=M(e),s=[],o=0;if(a)for(var l=0;l<a.length;l++){var p=u[t[l]];p?(0===o&&(o=Re()),s[l]=p(a[l])):s[l]=a[l]}var d=i.apply(null,s);return d=function(e){return"string"===n?N(e):"boolean"===n?Boolean(e):e}(d),0!==o&&Oe(o),d}function S(e,n,t,a){var r=(t=t||[]).every((function(e){return"number"===e}));return"string"!==n&&r&&!a?M(e):function(){return A(e,n,t,arguments)}}var F="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function x(e,n,t){for(var a=n+t,r=n;e[r]&&!(r>=a);)++r;if(r-n>16&&e.subarray&&F)return F.decode(e.subarray(n,r));for(var u="";n<r;){var i=e[n++];if(128&i){var s=63&e[n++];if(192!=(224&i)){var o=63&e[n++];if((i=224==(240&i)?(15&i)<<12|s<<6|o:(7&i)<<18|s<<12|o<<6|63&e[n++])<65536)u+=String.fromCharCode(i);else{var l=i-65536;u+=String.fromCharCode(55296|l>>10,56320|1023&l)}}else u+=String.fromCharCode((31&i)<<6|s)}else u+=String.fromCharCode(i)}return u}function N(e,n){return e?x(P,e,n):""}function C(e,n,t,a){if(!(a>0))return 0;for(var r=t,u=t+a-1,i=0;i<e.length;++i){var s=e.charCodeAt(i);if(s>=55296&&s<=57343&&(s=65536+((1023&s)<<10)|1023&e.charCodeAt(++i)),s<=127){if(t>=u)break;n[t++]=s}else if(s<=2047){if(t+1>=u)break;n[t++]=192|s>>6,n[t++]=128|63&s}else if(s<=65535){if(t+2>=u)break;n[t++]=224|s>>12,n[t++]=128|s>>6&63,n[t++]=128|63&s}else{if(t+3>=u)break;n[t++]=240|s>>18,n[t++]=128|s>>12&63,n[t++]=128|s>>6&63,n[t++]=128|63&s}}return n[t]=0,t-r}function R(e,n,t){return C(e,P,n,t)}function D(e,n){E.set(e,n)}var O,E,P,W,z=65536;function H(e,n){return e%n>0&&(e+=n-e%n),e}function T(e){O=e,u.HEAP8=E=new Int8Array(e),u.HEAP16=new Int16Array(e),u.HEAP32=W=new Int32Array(e),u.HEAPU8=P=new Uint8Array(e),u.HEAPU16=new Uint16Array(e),u.HEAPU32=new Uint32Array(e),u.HEAPF32=new Float32Array(e),u.HEAPF64=new Float64Array(e)}var B=5254800,U=11760,V=u.INITIAL_MEMORY||16777216;function q(e){for(;e.length>0;){var n=e.shift();if("function"!=typeof n){var t=n.func;"number"==typeof t?void 0===n.arg?u.dynCall_v(t):u.dynCall_vi(t,n.arg):t(void 0===n.arg?null:n.arg)}else n(u)}}(g=u.wasmMemory?u.wasmMemory:new WebAssembly.Memory({initial:V/z,maximum:2147483648/z}))&&(O=g.buffer),V=O.byteLength,T(O),W[U>>2]=B;var L=[],j=[],G=[],$=[];function K(){if(u.preRun)for("function"==typeof u.preRun&&(u.preRun=[u.preRun]);u.preRun.length;)J(u.preRun.shift());q(L)}function X(){q(j)}function Y(){q(G)}function Z(){if(u.postRun)for("function"==typeof u.postRun&&(u.postRun=[u.postRun]);u.postRun.length;)Q(u.postRun.shift());q($)}function J(e){L.unshift(e)}function Q(e){$.unshift(e)}var ee=Math.ceil,ne=Math.floor,te=0,ae=null,re=null;function ue(e){te++,u.monitorRunDependencies&&u.monitorRunDependencies(te)}function ie(e){if(te--,u.monitorRunDependencies&&u.monitorRunDependencies(te),0==te&&(null!==ae&&(clearInterval(ae),ae=null),re)){var n=re;re=null,n()}}function se(e){throw u.onAbort&&u.onAbort(e),w(e+=""),_(e),k=!0,e="abort("+e+"). Build with -s ASSERTIONS=1 for more info.",new WebAssembly.RuntimeError(e)}function oe(e,n){return String.prototype.startsWith?e.startsWith(n):0===e.indexOf(n)}u.preloadedImages={},u.preloadedAudios={};var le="data:application/octet-stream;base64,";function pe(e){return oe(e,le)}var de="file://";function ce(e){return oe(e,de)}var me="tfjs-backend-wasm.wasm";function fe(){try{if(y)return new Uint8Array(y);if(c)return c(me);throw"both async and sync fetching of the wasm failed"}catch(e){se(e)}}function be(){return y||!s&&!o||"function"!=typeof fetch||ce(me)?new Promise((function(e,n){e(fe())})):fetch(me,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+me+"'";return e.arrayBuffer()})).catch((function(){return fe()}))}function he(){var e={a:Fe};function n(e,n){var t=e.exports;u.asm=t,ie()}function t(e){n(e.instance)}function a(n){return be().then((function(n){return WebAssembly.instantiate(n,e)})).then(n,(function(e){_("failed to asynchronously prepare wasm: "+e),se(e)}))}if(ue(),u.instantiateWasm)try{return u.instantiateWasm(e,n)}catch(e){return _("Module.instantiateWasm callback failed with error: "+e),!1}return function(){if(y||"function"!=typeof WebAssembly.instantiateStreaming||pe(me)||ce(me)||"function"!=typeof fetch)return a(t);fetch(me,{credentials:"same-origin"}).then((function(n){return WebAssembly.instantiateStreaming(n,e).then(t,(function(e){_("wasm streaming compile failed: "+e),_("falling back to ArrayBuffer instantiation"),a(t)}))}))}(),{}}function ye(){se()}function ge(e,n,t){P.copyWithin(e,n,n+t)}function we(){return P.length}function _e(e){try{return g.grow(e-O.byteLength+65535>>>16),T(g.buffer),1}catch(e){}}function Ie(e){e>>>=0;var n=we();if(e>2147483648)return!1;for(var t=1;t<=4;t*=2){var a=n*(1+.2/t);if(a=Math.min(a,e+100663296),_e(Math.min(2147483648,H(Math.max(16777216,e,a),65536))))return!0}return!1}pe(me)||(me=h(me)),j.push({func:function(){Ce()}});var ke={mappings:{},buffers:[null,[],[]],printChar:function(e,n){var t=ke.buffers[e];0===n||10===n?((1===e?w:_)(x(t,0)),t.length=0):t.push(n)},varargs:void 0,get:function(){return ke.varargs+=4,W[ke.varargs-4>>2]},getStr:function(e){return N(e)},get64:function(e,n){return e}};function ve(e){return 0}function Me(e,n,t,a,r){}function Ae(e,n,t,a){for(var r=0,u=0;u<t;u++){for(var i=W[n+8*u>>2],s=W[n+(8*u+4)>>2],o=0;o<s;o++)ke.printChar(e,P[i+o]);r+=s}return W[a>>2]=r,0}function Se(e){return(e=+e)>=0?+ne(e+.5):+ee(e-.5)}var Fe={a:ye,e:ge,f:Ie,g:ve,d:Me,c:Ae,memory:g,b:Se,table:I},xe=he();u.asm=xe;var Ne,Ce=u.___wasm_call_ctors=function(){return(Ce=u.___wasm_call_ctors=u.asm.h).apply(null,arguments)},Re=(u._init=function(){return(u._init=u.asm.i).apply(null,arguments)},u._register_tensor=function(){return(u._register_tensor=u.asm.j).apply(null,arguments)},u._dispose_data=function(){return(u._dispose_data=u.asm.k).apply(null,arguments)},u._dispose=function(){return(u._dispose=u.asm.l).apply(null,arguments)},u._Abs=function(){return(u._Abs=u.asm.m).apply(null,arguments)},u._Add=function(){return(u._Add=u.asm.n).apply(null,arguments)},u._AddN=function(){return(u._AddN=u.asm.o).apply(null,arguments)},u._ArgMax=function(){return(u._ArgMax=u.asm.p).apply(null,arguments)},u._AvgPool=function(){return(u._AvgPool=u.asm.q).apply(null,arguments)},u._BatchMatMul=function(){return(u._BatchMatMul=u.asm.r).apply(null,arguments)},u._ClipByValue=function(){return(u._ClipByValue=u.asm.s).apply(null,arguments)},u._Conv2D=function(){return(u._Conv2D=u.asm.t).apply(null,arguments)},u._Conv2DBackpropInput=function(){return(u._Conv2DBackpropInput=u.asm.u).apply(null,arguments)},u._Cos=function(){return(u._Cos=u.asm.v).apply(null,arguments)},u._CropAndResize=function(){return(u._CropAndResize=u.asm.w).apply(null,arguments)},u._DepthwiseConv2dNative=function(){return(u._DepthwiseConv2dNative=u.asm.x).apply(null,arguments)},u._Div=function(){return(u._Div=u.asm.y).apply(null,arguments)},u._Equal=function(){return(u._Equal=u.asm.z).apply(null,arguments)},u._Exp=function(){return(u._Exp=u.asm.A).apply(null,arguments)},u._FloorDiv=function(){return(u._FloorDiv=u.asm.B).apply(null,arguments)},u._FusedBatchNorm=function(){return(u._FusedBatchNorm=u.asm.C).apply(null,arguments)},u._FusedConv2D=function(){return(u._FusedConv2D=u.asm.D).apply(null,arguments)},u._FusedDepthwiseConv2D=function(){return(u._FusedDepthwiseConv2D=u.asm.E).apply(null,arguments)},u._Gather=function(){return(u._Gather=u.asm.F).apply(null,arguments)},u._GatherNd=function(){return(u._GatherNd=u.asm.G).apply(null,arguments)},u._Greater=function(){return(u._Greater=u.asm.H).apply(null,arguments)},u._GreaterEqual=function(){return(u._GreaterEqual=u.asm.I).apply(null,arguments)},u._Less=function(){return(u._Less=u.asm.J).apply(null,arguments)},u._LessEqual=function(){return(u._LessEqual=u.asm.K).apply(null,arguments)},u._Log=function(){return(u._Log=u.asm.L).apply(null,arguments)},u._LogicalAnd=function(){return(u._LogicalAnd=u.asm.M).apply(null,arguments)},u._Max=function(){return(u._Max=u.asm.N).apply(null,arguments)},u._MaxPool=function(){return(u._MaxPool=u.asm.O).apply(null,arguments)},u._Maximum=function(){return(u._Maximum=u.asm.P).apply(null,arguments)},u._Min=function(){return(u._Min=u.asm.Q).apply(null,arguments)},u._Minimum=function(){return(u._Minimum=u.asm.R).apply(null,arguments)},u._Multiply=function(){return(u._Multiply=u.asm.S).apply(null,arguments)},u._Negate=function(){return(u._Negate=u.asm.T).apply(null,arguments)},u._NonMaxSuppressionV3=function(){return(u._NonMaxSuppressionV3=u.asm.U).apply(null,arguments)},u._NonMaxSuppressionV4=function(){return(u._NonMaxSuppressionV4=u.asm.V).apply(null,arguments)},u._NonMaxSuppressionV5=function(){return(u._NonMaxSuppressionV5=u.asm.W).apply(null,arguments)},u._NotEqual=function(){return(u._NotEqual=u.asm.X).apply(null,arguments)},u._OneHot=function(){return(u._OneHot=u.asm.Y).apply(null,arguments)},u._PadV2=function(){return(u._PadV2=u.asm.Z).apply(null,arguments)},u._Pow=function(){return(u._Pow=u.asm._).apply(null,arguments)},u._Prelu=function(){return(u._Prelu=u.asm.$).apply(null,arguments)},u._Relu=function(){return(u._Relu=u.asm.aa).apply(null,arguments)},u._Relu6=function(){return(u._Relu6=u.asm.ba).apply(null,arguments)},u._ResizeBilinear=function(){return(u._ResizeBilinear=u.asm.ca).apply(null,arguments)},u._Reverse=function(){return(u._Reverse=u.asm.da).apply(null,arguments)},u._RotateWithOffset=function(){return(u._RotateWithOffset=u.asm.ea).apply(null,arguments)},u._Rsqrt=function(){return(u._Rsqrt=u.asm.fa).apply(null,arguments)},u._ScatterNd=function(){return(u._ScatterNd=u.asm.ga).apply(null,arguments)},u._SelectV2=function(){return(u._SelectV2=u.asm.ha).apply(null,arguments)},u._Sigmoid=function(){return(u._Sigmoid=u.asm.ia).apply(null,arguments)},u._Sin=function(){return(u._Sin=u.asm.ja).apply(null,arguments)},u._Softmax=function(){return(u._Softmax=u.asm.ka).apply(null,arguments)},u._Sqrt=function(){return(u._Sqrt=u.asm.la).apply(null,arguments)},u._Square=function(){return(u._Square=u.asm.ma).apply(null,arguments)},u._Sub=function(){return(u._Sub=u.asm.na).apply(null,arguments)},u._Sum=function(){return(u._Sum=u.asm.oa).apply(null,arguments)},u._Tanh=function(){return(u._Tanh=u.asm.pa).apply(null,arguments)},u._Tile=function(){return(u._Tile=u.asm.qa).apply(null,arguments)},u._Transpose=function(){return(u._Transpose=u.asm.ra).apply(null,arguments)},u.__FusedMatMul=function(){return(u.__FusedMatMul=u.asm.sa).apply(null,arguments)},u._malloc=function(){return(u._malloc=u.asm.ta).apply(null,arguments)},u._free=function(){return(u._free=u.asm.ua).apply(null,arguments)},u.stackSave=function(){return(Re=u.stackSave=u.asm.va).apply(null,arguments)}),De=u.stackAlloc=function(){return(De=u.stackAlloc=u.asm.wa).apply(null,arguments)},Oe=u.stackRestore=function(){return(Oe=u.stackRestore=u.asm.xa).apply(null,arguments)};function Ee(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function Pe(e){function n(){Ne||(Ne=!0,u.calledRun=!0,k||(X(),Y(),u.onRuntimeInitialized&&u.onRuntimeInitialized(),Z()))}te>0||(K(),te>0||(u.setStatus?(u.setStatus("Running..."),setTimeout((function(){setTimeout((function(){u.setStatus("")}),1),n()}),1)):n()))}if(u.dynCall_vi=function(){return(u.dynCall_vi=u.asm.ya).apply(null,arguments)},u.dynCall_v=function(){return(u.dynCall_v=u.asm.za).apply(null,arguments)},u.asm=xe,u.cwrap=S,u.then=function(e){if(Ne)e(u);else{var n=u.onRuntimeInitialized;u.onRuntimeInitialized=function(){n&&n(),e(u)}}return u},re=function e(){Ne||Pe(),Ne||(re=e)},u.run=Pe,u.preInit)for("function"==typeof u.preInit&&(u.preInit=[u.preInit]);u.preInit.length>0;)u.preInit.pop()();return Pe(),e});e.exports=u}));class be extends n.KernelBackend{constructor(e){super(),this.wasm=e,this.dataIdNextNumber=1,this.wasm.tfjs.init(),this.dataIdMap=new n.DataStorage(this,n.engine())}write(e,n,t){const a={};return this.move(a,e,n,t),a}numDataIds(){return this.dataIdMap.numDataIds()}async time(e){const t=n.util.now();return e(),{kernelMs:n.util.now()-t}}move(e,t,a,r){const u=this.dataIdNextNumber++;if("string"===r){const n=t;return void this.dataIdMap.set(e,{id:u,stringBytes:n,shape:a,dtype:r,memoryOffset:null})}const i=n.util.sizeFromShape(a),s=i*n.util.bytesPerElement(r),o=this.wasm._malloc(s);this.dataIdMap.set(e,{id:u,memoryOffset:o,shape:a,dtype:r}),this.wasm.tfjs.registerTensor(u,i,o),null!=t&&this.wasm.HEAPU8.set(new Uint8Array(t.buffer,t.byteOffset,s),o)}async read(e){return this.readSync(e)}readSync(e){const{memoryOffset:t,dtype:a,shape:r,stringBytes:u}=this.dataIdMap.get(e);return"string"===a?u:function(e,n){switch(n){case"float32":return new Float32Array(e);case"int32":return new Int32Array(e);case"bool":return new Uint8Array(e);default:throw new Error(`Unknown dtype ${n}`)}}(this.wasm.HEAPU8.slice(t,t+n.util.sizeFromShape(r)*n.util.bytesPerElement(a)).buffer,a)}disposeData(e){const n=this.dataIdMap.get(e);this.wasm._free(n.memoryOffset),this.wasm.tfjs.disposeData(n.id),this.dataIdMap.delete(e)}floatPrecision(){return 32}getMemoryOffset(e){return this.dataIdMap.get(e).memoryOffset}dispose(){this.wasm.tfjs.dispose(),this.wasm=null}memory(){return{unreliable:!1}}makeOutput(e,t,a){let r;if(null==a)r=this.write(null,e,t);else{r={};const u=this.dataIdNextNumber++;this.dataIdMap.set(r,{id:u,memoryOffset:a,shape:e,dtype:t});const i=n.util.sizeFromShape(e);this.wasm.tfjs.registerTensor(u,i,a)}return{dataId:r,shape:e,dtype:t}}typedArrayFromHeap({shape:e,dtype:t,dataId:a}){const r=this.wasm.HEAPU8.buffer,{memoryOffset:u}=this.dataIdMap.get(a),i=n.util.sizeFromShape(e);switch(t){case"float32":return new Float32Array(r,u,i);case"int32":return new Int32Array(r,u,i);case"bool":return new Uint8Array(r,u,i);default:throw new Error(`Uknown dtype ${t}`)}}}n.registerBackend("wasm",async()=>{const{wasm:e}=await async function(){const e=await n.env().getAsync("WASM_HAS_SIMD_SUPPORT");return new Promise((t,a)=>{const r={};null!=he&&(r.locateFile=(e,n)=>e.endsWith(".wasm")?he:n+e,ge&&(r.instantiateWasm=function(e){return(t,a)=>(n.util.fetch(e,{credentials:"same-origin"}).then(n=>{n.ok||t.env.a(`failed to load wasm binary file at '${e}'`),n.arrayBuffer().then(e=>{WebAssembly.instantiate(e,t).then(e=>{a(e.instance)})})}),{})}(he)));const u=e?me(r):fe(r);u.tfjs={init:u.cwrap("init",null,[]),registerTensor:u.cwrap("register_tensor",null,["number","number","number"]),disposeData:u.cwrap("dispose_data",null,["number"]),dispose:u.cwrap("dispose",null,[])};let i=!1;u.onRuntimeInitialized=()=>{i=!0,ye=!1,t({wasm:u})},u.onAbort=()=>{if(i)return;if(ye)return;ye=!0;a({message:"Make sure the server can serve the `.wasm` file relative to the bundled js file. For more details see https://github.com/tensorflow/tfjs/blob/master/tfjs-backend-wasm/README.md#using-bundlers"})}})}();return new be(e)},2);let he=null,ye=!1,ge=!1;e.BackendWasm=be,e.setWasmPath=function(e,n=!1){if(ye)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPath()` before you call `tf.setBackend()` or `tf.ready()`");he=e,ge=n},e.version_wasm="2.1.0",Object.defineProperty(e,"__esModule",{value:!0})}));
//# sourceMappingURL=tf-backend-wasm.min.js.map
